BALABOLKA :: History

[+] New option
[-] Fixed error
[*] Changes
~~~~~~~~~~~~~~~


2026-06-06     v2.15.0.917
[-] Fixed the text extracting for EPUB and MOBI files.
[-] Fixed the using of Google TTS.


2026-05-23     v2.15.0.916
[-] Fixed the text extracting for EPUB files.
[-] Subtitle downloads are no longer available. (YouTube developers have added support for Proof of Origin Tokens to download subtitles.)
[*] The MMDevApi.dll system library is used again. (Microsoft developers have fixed a bug that was in Windows 11 24H2.)


2026-04-18     v2.15.0.915
[-] Fixed the using of Yandex SpeechKit.
[*] Updated the voice list for IBM Watson.


2026-04-11     v2.15.0.914
[-] Fixed the bug that occurred when processing universal tags after pausing and resuming read aloud.
[-] Fixed the speech rate when switching between voices using tags.
[*] Updated the voice list for Yandex SpeechKit.
[*] Resources for French language were updated (thanks to Michel Such).


2026-02-21     v2.15.0.913
[-] Fixed the using of Amazon Polly.
[*] Updated the voice list for Microsoft Azure.
[*] Resources for Chinese (Simplified), Spanish and Vietnamese languages were updated (thanks to Anan, Fernando Gregoire and Nguyễn Ninh Hoàng).


2026-01-25     v2.15.0.912
[-] Fixed the using of Microsoft Translator.
[*] Updated the voice lists for Google Cloud and IBM Watson.
[*] Resources for German, Polish, Spanish and Uzbek language were updated (thanks to Regine Müller, Fresta, Fernando Gregoire and Ulugbek Tolakov).


2026-01-10     v2.15.0.911
[+] Small improvements.
[*] Resources for Bulgarian, Croatian and Korean languages were updated (thanks to Kostadin Kolev, Petar Divić and VenusGirl).


2025-12-13     v2.15.0.910
[-] Fixed small bugs.
[*] Resources for Korean language were updated (thanks to VenusGirl).


2025-11-22     v2.15.0.909
[-] Disabled the ElevenLabs demo. (The service is available only with an API key.)
[-] Fixed the using of Google Translate.
[*] Updated the voice list for Google Cloud.
[*] Resources for Croatian, Czech, Italian, Korean, Slovak and Turkish languages were updated (thanks to Petar Divić, Adaptech s.r.o., Massimo Castiglia, VenusGirl and Fettah Pınar).


2025-10-18     v2.15.0.908
[-] Fixed pauses between paragraphs when reading aloud with Microsoft Online voices.
[-] Fixed IPA phonetic transcription for voices Microsoft Svetlana and Microsoft Dmitry (offline, not online).
[*] Updated the voice list for Amazon Polly.
[*] Resources for Bulgarian, Korean and Polish languages were updated (thanks to Kostadin Kolev, VenusGirl and Fresta).


2025-09-30     v2.15.0.907
[+] Added the setting to fix pauses between paragraphs when reading aloud with Microsoft Online voices (the window "Settings", the tab "Reading").
[-] Fixed converting subtitles to speech for SAPI 5 voices.
[-] Fixed the using of Google TTS.
[*] Updated the OpenSSL libraries.
[*] Updated the lists of voices for Google Cloud and IBM Watson.
[*] Resources for Bulgarian, Croatian, Korean and Vietnamese languages were updated (thanks to Kostadin Kolev, Petar Divić, VenusGirl and Nguyễn Ninh Hoàng).


2025-09-13     v2.15.0.906
[+] Small improvements.
[-] Fixed the using of Lingvanex.
[*] Updated the text extracting from DOCX and ODT files.


2025-09-06     v2.15.0.905
[+] Added the use of Glosbe Translator.
[+] Added accelerator keys to the window "Find/Replace". (This is an experiment, as there is a problem due to the many languages of the program interface.)
[-] Fixed text highlighting when reading aloud.
[*] Resources for Bulgarian, Croatian, Korean, Polish, Turkish and Vietnamese languages were updated (thanks to Kostadin Kolev, Petar Divić, VenusGirl, Fresta, Fettah Pınar and Nguyễn Ninh Hoàng).


2025-08-28     v2.15.0.904
[+] Added a setting to choose between lame_enc.dll and lame.exe for converting audio data to MP3 (the window "Audio Files", the tab "Advanced").
[-] Fixed the use of Google TTS.
[*] Updated the list of languages for Google TTS.
[*] Resources for Bulgarian, Czech, Korean and Slovak languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o. and VenusGirl).


2025-08-24     v2.15.0.903
[+] Added the new setting for Clipboard Watch.
[-] Fixed the use of Google TTS.
[-] Fixed the use of LibreTranslate and Prompt.
[*] Updated the list of languages for Google TTS.


2025-08-18     v2.15.0.902
[-] Fixed the use of Microsoft Azure via WebSocket.
[*] Updated the list of voices for Google Cloud.
[*] Resources for German and Polish languages were updated (thanks to Regine Müller and Fresta).


2025-08-02     v2.15.0.901
[+] Small improvements.
[*] Resources for Bulgarian, Croatian, Czech, Korean, Slovak, Uzbek and Vietnamese languages were updated (thanks to Kostadin Kolev, Petar Divić, Adaptech s.r.o., VenusGirl, Ulugbek Tolakov and Nguyễn Ninh Hoàng).


2025-07-19     v2.15.0.900
[-] Fixed the using of ElevenLabs TTS.
[-] Fixed the applying of bookmarks.
[-] Fixed pauses between sentences and paragraphs on Windows 7.
[*] Updated the settings for "Timer".
[*] Resources for Bulgarian, Italian, Korean and Uzbek languages were updated (thanks to Kostadin Kolev, Massimo Castiglia, Kim Young-Gam and Ulugbek Tolakov).
[-] Judging by the tests, Microsoft developers fixed a bug in the MMDevApi.dll system library: after installing the KB5060829 update for Windows 11 24H2, the library functions work without an error. But I can't bring back the use of the MMDevApi.dll library in my application yet, as I have to wait until the update will be installed on most computers with Windows 11.


2025-06-28     v2.15.0.899
[-] Fixed the text extracting for DOCX, FB2, FB3, ODP, ODT and PPTX files.
[-] Fixed the using of Google TTS.
[-] Fixed silence between paragraphs for Microsoft Azure.
[*] Updated the superscript/subscript extracting for AZW3, DOCX, FB2, FB3, HTML, ODP and ODT files.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2025-06-07     v2.15.0.898
[+] Added the text extracting for TXTZ files.
[-] Fixed the text extracting for AZW3, EPUB, MOBI and PDB files.
[-] Fixed the using of Youdao Translate.


2025-05-24     v2.15.0.897
[-] Fixed the using of IBM Watson Text-To-Speech.
[*] Updated the list of voices for Google Cloud.


2025-05-17     v2.15.0.896
[*] If the read aloud should be stopped by the timer, the application will read to the end of the paragraph.
[*] Updated the lists of voices for IBM Watson and Yandex SpeechKit.
[*] The utility lame.exe is used instead of lame_enc.dll. (Many users complained about problems with converting audio data to MP3 format.)


2025-05-08     v2.15.0.895
[+] Added the using of Lingea Translator.
[-] Fixed the using of Google TTS.
[*] Resources for Croatian and Polish languages were updated (thanks to Petar Divić and Fresta).


2025-04-26     v2.15.0.894
[*] Updated the voice submenu in the main menu.
[*] Updated the using of CereVoice Cloud.
[*] Resources for Bulgarian, Czech, Slovak and Vietnamese languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o. and Nguyễn Ninh Hoàng).


2025-04-19     v2.15.0.893
[-] Fixed pauses between sentences when using SAPI 5.
[*] Updated the lists of voices for Google Cloud, Microsoft Azure and Yandex SpeechKit.
[*] Updated pronunciation of text block numbers when converting text to multiple audio files.
[*] Resources for Vietnamese language were updated (thanks to Nguyễn Ninh Hoàng).


2025-04-05     v2.15.0.892
[+] Added the using of Caiyun Translate and Tilde Machine Translation.
[-] The using of Reverso Translate service was disabled.
[*] Resources for Vietnamese language were updated (thanks to Nguyễn Ninh Hoàng).


2025-03-29     v2.15.0.891
[-] Fixed the using of Microsoft Azure (thanks to Fettah Pınar).
[*] Updated the using of IBM Watson Text-To-Speech.
[*] Resources for German and Uzbek languages were updated (thanks to Regine Müller and Ulugbek Tolakov).


2025-03-22     v2.15.0.890
[+] Small improvements.
[*] Updated the list of voices for Google Cloud.
[*] Resources for Bulgarian, German, Spanish, Turkish and Vietnamese languages were updated (thanks to Kostadin Kolev, Regine Müller, Fernando Gregoire, Fettah Pınar and Nguyễn Ninh Hoàng).


2025-02-22     v2.15.0.889
[+] Added large icons for the toolbar (thanks to Dmitry Kharybin).
[+] Added new options to the translation window.
[*] Updated the using of ElevenLabs Text-To-Speech.
[*] Resources for Bulgarian, Croatian, Turkish and Uzbek languages were updated (thanks to Kostadin Kolev, Petar Divić, Fettah Pınar and Ulugbek Tolakov).


2025-02-15     v2.15.0.888
[+] Added the button "Translate with All Services" to the translation window.
[-] Fixed the using of Microsoft Azure.
[*] Resources for Bulgarian, Chinese (Simplified), Croatian and Polish languages were updated (thanks to Kostadin Kolev, Anan, Petar Divić and Fresta).


2025-02-08     v2.15.0.887
[+] Added the using of ElevenLabs Text-To-Speech.
[+] FPT.AI Text-To-Speech is available again.
[+] Added the style degree option for Microsoft Azure (not available if the WebSocket protocol is used).
[*] Updated the lists of voices for Google Cloud and Microsoft Azure.
[*] Resources for Czech and Slovak languages were updated (thanks to Adaptech s.r.o.).


2024-12-28     v2.15.0.886
[+] Added the using of Systran Translate.
[*] Updated the list of voices for Microsoft Azure.
[*] Resources for Korean language were updated (thanks to Kim Young-Gam).


2024-12-21     v2.15.0.885
[+] Baidu Translate is available again.
[-] The system library MMDevApi.dll is not used: this will avoid program crashes after installing the 24H2 update for Windows 11 (thanks to Ikuo Kurihara for testing).
[*] Updated the drag-and-drop support.
[*] When auto-detecting text encoding, the program will assume by default that the text file is UTF-8 encoded (in previous versions, the program assumed ASCII characters in the file by default).


2024-12-14     v2.15.0.884
[-] Fixed small bugs.
[*] Resources for Bulgarian, Croatian, German, Korean, Spanish, Turkish, Uzbek and Vietnamese languages were updated (thanks to Kostadin Kolev, Petar Divić, Regine Müller, Kim Young-Gam, Fernando Gregoire, Fettah Pınar, Ulugbek Tolakov and Nguyễn Ninh Hoàng).


2024-11-30     v2.15.0.883
[+] Added the button "Select Voice" to the main window: the button will help to select items from the voice list if the voice list is long (thanks to Jean Bernardo da Silva Vieira).
[+] Small improvements.
[-] Fixed the using of Yandex SpeechKit.
[*] Updated the list of voices for CereVoice Cloud.
[*] Updated the using of Iciba TTS, Naver TTS and Youdao TTS.
[*] Removed all changes related to program crashes due to MMDevApi.dll system library. Here's what we know about the problem that appears after installing the 24H2 update for Windows 11: if the user's monitor contains speakers, if the graphics card and the monitor are connected by a cable that transmits sound - this leads to unstable work of Balabolka, it periodically crashes, and the MMDevApi.dll library is specified in the event log as the cause of the crash. But if you connect speakers or headphones to the audio jack on the motherboard of the same computer, Balabolka works stably. So, the problem is neither in the MMDevApi.dll library nor in Balabalka, but in some driver inside the 24H2 update. Until Microsoft developers fix the problem, here's the situation: if you installed Windows 11 update 24H2 and Balabolka starts crashing, connect your audio output device to a different port on your computer.


2024-11-16     v2.15.0.882
[*] The demo of IBM Watson Text-To-Speech is temporarily available again.
[*] Resources for Bulgarian, Croatian and Uzbek languages were updated (thanks to Kostadin Kolev, Petar Divić and Ulugbek Tolakov).


2024-11-06     v2.15.0.881
[+] Added the using of LibreTranslate.
[+] Added the maximal rate value for subtitle converting (when the SoundTouch library is used).
[*] For online text-to-speech services, only the SoundTouch library will be used to make the speech fit within the time intervals in the subtitles.


2024-10-26     v2.15.0.880
[-] Anoher temporary fix for Windows 11 24H2: Balabolka wouldn't monitor plugging/unplugging of audio output devices.
[-] Fixed the using of Microsoft Azure: the server returns zero-length audio data sometimes for unknown reason.
[*] Updated the list of voices for Yandex SpeechKit.


2024-10-22     v2.15.0.879
[-] Fixed the text extracting for FB2 and FB3 files.
[-] Fixed the using of Yandex SpeechKit.
[-] Disabled the demo of IBM Watson Text-To-Speech. (The service keeps returning the response status code HTTP 301.)
[-] Used a temporary fix for Windows 11 24H2: this version of the operating system contains a crashed MMDevApi.dll system library, and Microsoft developers still refuse to fix the bug.
[*] Updated the lists of voices for Google Cloud and Microsoft Azure.
[*] Resources for Czech, Slovak and Turkish languages were updated (thanks to Adaptech s.r.o. and Fettah Pınar).


2024-08-25     v2.15.0.878
[-] Fixed the using of the PAUSE tag.
[-] Fixed pauses between sentences for Microsoft Azure.
[*] Resources for Bulgarian and Uzbek languages were updated (thanks to Kostadin Kolev and Ulugbek Tolakov).


2024-08-10     v2.15.0.877
[-] Disabled the using of OpenAI Text-To-Speech. (The service keeps returning the error HTTP 429.)
[-] Fixed the using of iTranslate Text-To-Speech.
[*] Updated the lists of voices for Google Cloud and Microsoft Azure.


2024-07-28     v2.15.0.876
[+] Added the using of Iciba Text-To-Speech and iTranslate Text-To-Speech.
[*] Updated the list of voices for Baidu Text-To-Speech.


2024-07-22     v2.15.0.875
[-] Fixed the using of Google Text-To-Speech.
[*] Resources for Chinese (Simplified) and Vietnamese languages were updated (thanks to Anan and Nguyễn Ninh Hoàng).


2024-07-14     v2.15.0.874
[-] Fixed the using of Yandex SpeechKit.
[*] Resources for Polish language were updated (thanks to Fresta).


2024-07-06     v2.15.0.873
[+] Added the using of Alibaba Translate.
[-] The using of Baidu Translate and IBM Watson Language Translator services were disabled.
[-] The using of translation services was fixed.
[*] Resources for Italian and Spanish languages were updated (thanks to Massimo Castiglia and Fernando Gregoire).


2024-06-15     v2.15.0.872
[-] Fixed the text extracting for PDF files.
[*] Resources for Bulgarian, Croatian, Czech, German, Slovak, Spanish and Uzbek languages were updated (thanks to Kostadin Kolev, Petar Divić, Regine Müller, Adaptech s.r.o., Fernando Gregoire and Ulugbek Tolakov).


2024-06-01     v2.15.0.871
[*] Updated the using of Google Cloud, IBM Watson Text-To-Speech and SpeechPro Text-To-Speech.
[*] Resources for Bulgarian, Croatian and Vietnamese languages were updated (thanks to Kostadin Kolev, Petar Divić and Nguyễn Ninh Hoàng).


2024-05-26     v2.15.0.870
[-] Fixed the applying  of regular expressions.
[*] Updated the lists of voices for Google Cloud and Microsoft Azure.
[*] Updated the subtitle converting for SAPI 5 and Microsoft Speech Platform.
[*] Updated the subtitle converting for online TTS services.
[*] Resources for Vietnamese language were updated (thanks to Nguyễn Ninh Hoàng).


2024-04-22     v2.15.0.869
[-] Fixed the using of IBM Watson Text-To-Speech.


2024-04-06     v2.15.0.868
[*] Updated the lists of voices for Amazon Polly, Google Cloud and Microsoft Azure.
[*] Updated the using of OpenAI Text-To-Speech.


2024-04-01     v2.15.0.867
[*] Updated the using of Yandex SpeechKit.
[*] SpeechPro Text-To-Speech is available again.


2024-03-31     v2.15.0.866
[-] Disabled the using of SpeechPro Text-To-Speech.
[*] Iciba Translate is available again.
[*] Updated the list of voices for Acapela Cloud.


2024-03-24     v2.15.0.865
[+] Added the using of OpenAI Text-To-Speech.
[*] Resources for Czech, Hungarian and Slovak languages were updated (thanks to Adaptech s.r.o. and Zoltan Magyar).


2024-02-03     v2.15.0.864
[+] Added the using of iTranslate and Lingvanex.


2024-01-27     v2.15.0.863
[-] The using of Iciba Translate service was disabled.
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified), Italian and Spanish languages were updated (thanks to Anan, Massimo Castiglia and Fernando Gregoire).


2024-01-03     v2.15.0.862
[*] Updated the using of Yandex SpeechKit.
[*] Resources for Croatian and Uzbek languages were updated (thanks to Petar Divić and Ulugbek Tolakov).


2023-12-25     v2.15.0.861
[*] Updated the using of Yandex SpeechKit: added the support of API v3 (gRPC).
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2023-12-23     v2.15.0.860
[+] Added the command-line parameter for the opening file in Spritz-Reader.
[*] Updated the list of voices for Yandex SpeechKit: added the Russian voices for API v3.


2023-12-13     v2.15.0.859
[+] Resources for Uzbek language were added (thanks to Ulugbek Tolakov).
[*] Updated the using of Microsoft Azure.
[*] Updated the list of voices for Google Cloud.


2023-11-25     v2.15.0.858
[*] Updated the using of Viettel Text-To-Speech: the application can apply services from Viettel Group and Viettel AI.
[*] Resources for Croatian language were updated (thanks to Petar Divić).


2023-11-14     v2.15.0.857
[-] Fixed the using of CereVoice Cloud.
[*] Resources for Bulgarian, German and Spanish languages were updated (thanks to Kostadin Kolev, Regine Müller and Fernando Gregoire).


2023-10-14     v2.15.0.856
[+] Small improvements.
[+] Resources for Turkmen language were added (thanks to Nazar Mammedov).


2023-09-23     v2.15.0.855
[-] Fixed the subtitle converting for online TTS services.
[*] Resources for Italian and Polish languages were updated (thanks to Massimo Castiglia and Fresta).


2023-09-09     v2.15.0.854
[-] Fixed the text extracting for EPUB files.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2023-08-24     v2.15.0.853
[-] Fixed small bugs.
[*] Updated the list of voices for Microsoft Azure.
[*] Resources for Bulgarian, Czech, Slovak and Spanish languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o. and Fernando Gregoire).


2023-08-06     v2.15.0.852
[+] Added the using of Acapela Cloud.
[+] Added the ability to switch between online TTS services.
[*] Fixed the using of SAPI 4 for foreign languages.
[*] Resources for German language were updated (thanks to Regine Müller).


2023-06-17     v2.15.0.851
[*] Updated the list of voices for Google Cloud.
[-] Fixed small bugs.


2023-06-10     v2.15.0.850
[+] Added the settings for output audio sampling rate (Amazon Polly, CereVoice Cloud, Google Cloud).
[*] Updated the using of IBM Watson Text-To-Speech.
[*] Resources for Bulgarian, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Fernando Gregoire and Fettah Pınar).


2023-06-02     v2.15.0.849
[+] Added the using of CereVoice Cloud.
[+] Added new settings for Microsoft Azure (the button "Settings").
[-] Fixed the subtitle converting.


2023-05-27     v2.15.0.848
[-] Fixed the using of Microsoft Azure.
[*] Updated the list of voices for Microsoft Azure.
[*] Resources for Bulgarian, Czech, Slovak, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o., Fernando Gregoire and Fettah Pınar).


2023-05-20     v2.15.0.847
[+] Added the option "Highlight named bookmarks" (the window "Font and Colors").
[-] Fixed the text extracting for EPUB files.
[*] Updated the using of Microsoft Azure: the Websocket protocol is supported for demo.
[*] Updated the list of voices for Amazon Polly.
[*] Updated the Spritz-Reader.


2023-04-30     v2.15.0.846
[*] Updated the using of Yandex SpeechKit.


2023-04-22     v2.15.0.845
[-] Fixed the using of SpeechPro Text-To-Speech, Yandex SpeechKit and Youdao Text-To-Speech.
[*] Updated the list of voices for Youdao Text-To-Speech.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2023-04-19     v2.15.0.844
[*] Updated the list of voices for IBM Watson Text-To-Speech. The neural voices have been removed since March 31, 2023.
[-] Fixed the using of IBM Watson Text-To-Speech.
[-] Fixed small bugs.


2023-04-01     v2.15.0.843
[*] Updated the using of Naver Text-To-Speech.
[-] Fixed small bugs.


2023-03-25     v2.15.0.842
[+] Added the using of VK Cloud Voice.
[+] Small improvements.
[-] Disabled the using of FPT.AI Text-To-Speech.


2023-03-16     v2.15.0.841
[-] Fixed the using of IBM Watson Text-To-Speech.
[*] Resources for Italian and Spanish languages were updated (thanks to Paolo A. Lopiano and Fernando Gregoire).


2023-03-11     v2.15.0.840
[-] Fixed the using of SpeechPro Text-To-Speech.
[*] Updated the list of voices for Google Cloud Text-To-Speech.
[*] Resources for Bulgarian and Turkish languages were updated (thanks to Kostadin Kolev and Fettah Pınar).


2023-03-02     v2.15.0.839
[+] Small improvements.
[-] Fixed the using of Microsoft Azure.
[*] Updated the list of voices for Google Cloud Text-To-Speech.
[*] Resources for Czech and Slovak languages were updated (thanks to Adaptech s.r.o.).


2023-02-25     v2.15.0.838
[+] Baidu Translate is available again.
[-] Fixed the using of Baidu Text-To-Speech.
[-] Fixed the using of FPT.AI Text-To-Speech.


2023-02-18     v2.15.0.837
[-] Fixed small bugs.
[*] Updated the list of voices for Microsoft Azure.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2023-02-11     v2.15.0.836
[+] Added the global hotkey to turn on/off Clipboard Watch.
[*] Updated the list of voices for Yandex SpeechKit.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2023-02-04     v2.15.0.835
[-] Fixed the text extracting for DOCX files.
[*] Updated the list of voices for Microsoft Azure.
[*] Updated the list of voices for Yandex SpeechKit.


2023-01-31     v2.15.0.834
[+] Small improvements.
[-] Fixed the using of Aspell.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2023-01-13     v2.15.0.833
[+] Small improvements.
[-] Fixed the using of Microsoft Azure.
[*] Updated the Clipboard Watch.
[*] Resources for German language were updated (thanks to Regine Müller).


2022-12-10     v2.15.0.832
[-] Fixed the text extracting for EPUB files.
[-] The option "Pin to Taskbar" removed from the installer.
[*] Updated the text splitting.
[*] Resources for Bulgarian, Czech, German, Slovak and Spanish languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o., Regine Müller and Fernando Gregoire).


2022-12-03     v2.15.0.831
[+] Added the using of SaluteSpeech.
[-] Fixed small bugs.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2022-11-26     v2.15.0.830
[+] Added the using of Viettel Text-To-Speech.
[+] Small improvements.
[*] Updated the using of Microsoft Azure.
[-] Disabled the using of Tinkoff VoiceKit.


2022-11-12     v2.15.0.829
[*] Updated the using of Microsoft Azure.


2022-10-16     v2.15.0.828
[-] Fixed the using of Baidu Text-To-Speech.


2022-10-10     v2.15.0.827
[-] Fixed the using of IBM Watson Text-To-Speech.


2022-10-02     v2.15.0.826
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified), Czech and Slovak languages were updated (thanks to Anan and Adaptech s.r.o.).


2022-09-18     v2.15.0.825
[-] Fixed the text extracting for EPUB and LIT files.
[-] Fixed small bugs.
[*] Updated the drag-and-drop support.


2022-08-13     v2.15.0.824
[-] Fixed small bugs.
[*] Resources for Bulgarian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Jožef Gregorc and Fernando Gregoire).


2022-07-30     v2.15.0.823
[-] Fixed the using of PROMT.One.
[*] Updated the translation of subtitles.


2022-07-23     v2.15.0.822
[-] Fixed small bugs.
[*] Resources for Slovenian and Spanish languages were updated (thanks to Jožef Gregorc and Fernando Gregoire).


2022-07-02     v2.15.0.821
[-] Fixed the using of Naver Text-To-Speech.
[*] Updated the using of Yandex SpeechKit.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2022-06-25     v2.15.0.820
[+] Added the new option for the Clipboard Watch.
[+] Added the global hotkey to place cursor at the beginning of text.
[*] Updated the using of Microsoft Azure.


2022-06-11     v2.15.0.819
[-] Fixed small bugs.
[*] Updated the using of Yandex SpeechKit.
[*] Resources for Chinese (Simplified), Czech, Slovak and Spanish languages were updated (thanks to Anan, Adaptech s.r.o. and Fernando Gregoire).


2022-05-04     v2.15.0.818
[+] Added the using of FPT.AI Text-To-Speech.
[-] Fixed the YouTube subtitles downloading.
[-] Fixed small bugs.
[*] Resources for German and Spanish languages were updated (thanks to Regine Müller and Fernando Gregoire).


2022-04-20     v2.15.0.817
[-] Fixed the audio file saving for online text-to-speech services.
[*] Resources for Bulgarian and French languages were updated (thanks to Kostadin Kolev and Michel Such).


2022-04-16     v2.15.0.816
[+] Added the using of Tinkoff VoiceKit.
[+] Small improvements.
[-] Disabled the using of VS Robotics Text-To-Speech.
[*] The utility FFmpeg is used as a temporary solution.
[*] Resources for German language were updated (thanks to Regine Müller).


2022-04-02     v2.15.0.815
[-] Fixed the using of Yandex SpeechKit.
[*] Updated the using of Microsoft Azure.


2022-03-26     v2.15.0.814
[*] Updated the using of Microsoft Azure.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2022-03-12     v2.15.0.813
[+] Small improvements.
[*] Resources for Bulgarian, Chinese (Simplified), Czech and Slovak languages were updated (thanks to Kostadin Kolev, Anan and Adaptech s.r.o.).


2022-02-19     v2.15.0.812
[*] Updated the using of Yandex SpeechKit.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2022-02-05     v2.15.0.811
[+] Added the using of Iciba Translate.
[-] The using of Baidu Translate service was disabled.


2022-01-17     v2.15.0.810
[+] Added the option "Length of pauses between sentences" for the Microsoft Azure.
[*] Updated the using of Yandex SpeechKit.


2022-01-06     v2.15.0.809
[+] Small improvements.
[*] Updated the using of Yandex SpeechKit.
[*] Resources for German language were updated (thanks to Regine Müller).


2021-12-04     v2.15.0.808
[-] Fixed the using of Yandex SpeechKit.
[*] Resources for Portuguese language were updated (thanks to Miguel Simões).


2021-11-27     v2.15.0.807
[-] Standard voices have been removed from the Microsoft Azure voices list: they are no longer supported after August 31, 2021.
[-] Fixed the using of Yandex SpeechKit.
[*] Resources for Chinese (Simplified) and Slovenian languages were updated (thanks to Anan and Jožef Gregorc).


2021-11-21     v2.15.0.806
[-] Fixed the using of Yandex SpeechKit.


2021-11-13     v2.15.0.805
[*] Updated the using of Microsoft Azure.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2021-10-30     v2.15.0.804
[*] Updated the using of SpeechPro Text-To-Speech.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2021-10-24     v2.15.0.803
[-] Fixed the SSML using for Microsoft Azure.
[*] Updated the using of Microsoft Azure.
[*] Resources for Bulgarian, Czech and Slovak languages were updated (thanks to Kostadin Kolev and Adaptech s.r.o.).


2021-10-06     v2.15.0.802
[+] Small improvements.
[*] Updated the option "Create an audiobook file with chapters" in the windows "Split and Convert to Audio Files" and "Batch File Converter": the option is available for MP3 format. The application can create MP3 files with ID3 tags for chapters.
[*] Updated menu icons.
[*] Resources for Bulgarian, French, German and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such, Regine Müller and Fernando Gregoire).


2021-09-25     v2.15.0.801
[*] The using of translation services was improved.
[*] If online TTS service cannot pronounce the current sentence and returns no audio data, empty data will be replaced by silence.
[*] Added new settings for the Clipboard Watch.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2021-09-16     v2.15.0.800
[+] Added the activity log viewer (the main menu item "View Log Messages").
[+] Added the option "Play audio file when done" for online text-to-speech services.
[+] Added the drag-and-drop support for the small floating window.
[-] Fixed the using of PROMT.One.
[-] Fixed the floating window.
[*] Updated the converting to MP3 format: the bitrate value is not used for VBR anymore.
[*] Resources for Czech and Slovak languages were updated (thanks to Adaptech s.r.o.).


2021-09-11     v2.15.0.799
[*] Updated the using of Microsoft Azure and Yandex SpeechKit.
[*] Resources for Bulgarian, German and Spanish languages were updated (thanks to Kostadin Kolev, Regine Müller and Fernando Gregoire).


2021-09-04     v2.15.0.798
[+] Added the settings for sound files (the window "Audio Files", the tab "Sounds").
[+] Added the setting "Automatically increase the speech rate to fit time intervals" for online text-to-speech services.
[*] Updated the installer of Balabolka.
[*] Resources for German and Hungarian languages were updated (thanks to Regine Müller and Zoltan Magyar).


2021-08-23     v2.15.0.797
[+] Added the using of VS Robotics Text-To-Speech (for testing purposes only).
[-] Fixed the storing of named bookmarks.
[*] Updated the text selection during reading aloud (when rules for pronunciation correction are applied).
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-08-18     v2.15.0.796
[+] Added the reading of sentences for "Text Echo" (the window "Settings", the tab "General").
[+] Added the button "Open All Translations" to the window for translation services.
[+] Added the option "Change application font" (the window "Settings", the tab "View").
[*] Updated the using of SpeechPro Text-To-Speech.
[*] If the translation window contains data from SRT file, it will be translated preserving formatting.
[-] Fixed the problem with skins.
[*] Resources for German, Serbian (Latin), Slovenian and Spanish languages were updated (thanks to Regine Müller, Gradimir Kragić, Jožef Gregorc and Fernando Gregoire).
 

2021-08-07     v2.15.0.795
[+] Added the using of the Sogou translation service.
[*] Decreased duration of pauses between sentences for Google Text-To-Speech.
[*] Resources for Bulgarian, Czech, Hungarian and Slovak languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o. and Zoltan Magyar).


2021-07-31     v2.15.0.794
[+] Added new options to the window for translation services.
[-] Fixed the using of the Naver Papago and Reverso translation services.
[-] Fixed the using of Naver Text-To-Speech.
[-] Fixed small bugs.
[*] Resources for Bulgarian and Slovenian languages were updated (thanks to Kostadin Kolev and Jožef Gregorc).


2021-07-24     v2.15.0.793
[+] Added the using of IBM Watson Language Translator and PROMT.One.
[+] Added the button "Extract Text and Save as Text Files" to the "Batch File Converter" window.
[-] Fixed the application minimizing when the window for online text-to-speech services is opened.
[*] Updated the using of the Baidu Translate service.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2021-07-18     v2.15.0.792
[*] Updated the using of Amazon Polly.
[*] Improved the drag-and-drop support for text files.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2021-07-10     v2.15.0.791
[+] Added the using of Microsoft Azure (for testing purposes only).
[-] Fixed the using of IBM Watson Text-To-Speech.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-07-03     v2.15.0.790
[+] Added the option "Show the whole sentence" to the editor of homographs (the tab "Find in Text").
[-] Fixed the using of Naver Text-To-Speech.
[-] Fixed the using of Microsoft Translator.


2021-06-19     v2.15.0.789
[-] Fixed the using of online TTS services.


2021-06-18     v2.15.0.788
[+] Added the using of Amazon Polly (for testing purposes only).
[*] Updated the list of voices for Google Cloud Text-To-Speech.
[*] Resources for Bulgarian, Polish and Spanish languages were updated (thanks to Kostadin Kolev, Martin Kozioł and Fernando Gregoire).


2021-06-10     v2.15.0.787
[+] Added the using of the Reverso translation service.
[+] Added the option "Play Sound" for the Clipboard Watch.
[-] Fixed the using of Yandex SpeechKit.


2021-05-31     v2.15.0.786
[-] Fixed the using of the translation services.


2021-05-25     v2.15.0.785
[+] Added the option "Use Aero Snap in Windows 10". (Aero Snap conflicts with minimizing/restoring of the application.)
[-] Fixed the using of external audio files (audio clips).


2021-05-23     v2.15.0.784
[+] Small improvements.
[*] Updated the using of SpeechPro Text-To-Speech.
[*] Resources for Chinese (Simplified) and Italian languages were updated (thanks to Anan).


2021-05-13     v2.15.0.783
[*] Updated the audio file saving.
[*] Updated the subtitle converting.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-05-06     v2.15.0.782
[+] Added the option "Split text into paragraphs" for LRC files (the window "Audio Files", the tab "Subtitles"). By default the application splits text into sentences.
[-] Fixed the application minimizing and restoring.
[-] Fixed the subtitle creating.
[*] Resources for Bulgarian, Czech, Hungarian, Slovak and Spanish languages were updated (thanks to Kostadin Kolev, Adaptech s.r.o., Zoltan Magyar and Fernando Gregoire).


2021-04-16     v2.15.0.781
[+] Added settings for table extracting for DOCX/FB2/FB3 files (the window "Text Import Settings", the tab "Text Extracting").
[*] Updated the text extracting for DOCX/FB2/FB3/HTML/ODT files.
[*] Resources for Chinese (Simplified) and Turkish languages were updated (thanks to Anan and Fettah Pınar).


2021-04-11     v2.15.0.780
[+] Small improvements.


2021-04-08     v2.15.0.779
[+] Small improvements.
[*] Updated the subtitle converting for SAPI 4.
[*] The HTTP request methods were updated.
[*] Resources for Bulgarian and German languages were updated (thanks to Kostadin Kolev and Regine Müller).


2021-03-30     v2.15.0.778
[-] Fixed the application minimizing and restoring.
[*] Updated the using of Google Cloud Text-To-Speech.
[*] The Opus audio files received from online TTS services will be converted to WAV files with the sample rate 24 KHz (instead of 48 KHz by default).
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-03-25     v2.15.0.777
[+] Added the using of Naver Text-To-Speech (for testing purposes only).
[+] Added the using of the Naver Papago translation service.
[+] Added the option "Stereo" for Yandex Speechkit (this will allow to use left and right channels alternatively for dialogues).
[-] The using of Online TTS was disabled.
[*] Resources for Bulgarian and Chinese (Simplified) languages were updated (thanks to Kostadin Kolev and Anan).


2021-03-20     v2.15.0.776
[+] Added the options "Insert blank lines after sentences" and "Insert blank lines after paragraphs" for LRC files (the window "Audio Files", the tab "Subtitles").
[+] Added the encoding detecting for LRC and SRT files (the window "Convert Subtitles to Audio Files").
[-] Fixed small bugs.
[*] Resources for German language were updated (thanks to Regine Müller).


2021-03-10     v2.15.0.775
[+] Small improvements.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-03-06     v2.15.0.774
[+] Added the option for the LRC text saving inside the USLT tag (for AIMP audio player).
[-] Fixed the YouTube subtitles downloading.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2021-02-27     v2.15.0.773
[+] Added the option "Restore splitted sentences" for the subtitle converting.
[-] Fixed the finding of names in text.
[*] Resources for Bulgarian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Jožef Gregorc and Fernando Gregoire).


2021-02-21     v2.15.0.772
[+] Added the volume setting for SpeechPro Text-To-Speech.
[+] Added the option "Format pasted text" (the window "Settings", the tab "Text").
[*] Updated the using of Online Text-To-Speech.


2021-02-11     v2.15.0.771
[+] Added the volume setting for Yandex SpeechKit.
[*] Resources for Bulgarian, Finnish and Spanish languages were updated (thanks to Kostadin Kolev, Veikko Muurikainen and Fernando Gregoire).


2021-02-06     v2.15.0.770
[+] Added the option "Fix pauses between sentences when Bluetooth headphones are used" (the window "Settings", the tab "Reading").
[*] Resources for Czech and German languages were updated (thanks to Adaptech s.r.o. and Regine Müller).


2021-01-24     v2.15.0.769
[+] Small improvements.


2021-01-22     v2.15.0.768
[*] Updated the subtitle converter.
[-] Fixed the text extracting for RAR files.
[-] Fixed small bugs.


2021-01-05     v2.15.0.767
[-] Fixed the using of SpeechPro Text-To-Speech.
[*] Resources for French language were updated (thanks to Michel Such).


2020-12-27     v2.15.0.766
[+] Added the 7-Zip archive support.
[-] Fixed small bugs.
[*] The library UNRAR.DLL is not used.
[*] Resources for Italian language were updated (thanks to Massimo Castiglia).


2020-12-17     v2.15.0.765
[-] Fixed small bugs.
[*] Updated the using of SpeechPro Text-To-Speech.
[*] Resources for Chinese (Simplified) and Spanish languages were updated (thanks to Anan and Fernando Gregoire).


2020-12-13     v2.15.0.764
[-] Fixed the using of online TTS services.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2020-12-12     v2.15.0.763
[+] Added the button "Add Folder" to the window "Extract Text from Files". It allows to search files in subfolders.
[-] Fixed the using of Yandex SpeechKit.


2020-12-10     v2.15.0.762
[-] Fixed the using of Yandex SpeechKit and Youdao Text-To-Speech.


2020-12-08     v2.15.0.761
[-] Fixed the using of Youdao Text-To-Speech.
[+] Small improvements.
[*] Resources for Bulgarian, German, Hungarian and Spanish languages were updated (thanks to Kostadin Kolev, Regine Müller, Zoltan Magyar and Fernando Gregoire).


2020-11-28     v2.15.0.760
[+] Added the option "Ignore URLs" (the window "Settings", the tab "Skip Text").
[-] Fixed the subtitle creating.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2020-11-22     v2.15.0.759
[+] Added the main menu item "Subtitle Preview".
[*] The using of IBM Watson Text-To-Speech was updated.
[*] If an archive file was opened in Balabolka, the application will suggest to use the name of the document inside the archive as a name of a new text file (not the name of the archive, as it was in the previous versions of Balabolka).
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2020-11-15     v2.15.0.758
[-] Fixed the using of Google Cloud Text-To-Speech.


2020-11-09     v2.15.0.757
[-] Fixed the text scrolling in the Spritz-Reader.
[-] Fixed small bugs.
[*] Resources for Czech and Spanish languages were updated (thanks to Adaptech s.r.o. and Fernando Gregoire).


2020-10-10     v2.15.0.756
[-] Fixed small bugs.
[*] The compability with screen readers was improved.
[*] Resources for Bulgarian, Hungarian and Spanish languages were updated (thanks to Kostadin Kolev, Zoltan Magyar and Fernando Gregoire).


2020-10-04     v2.15.0.755
[+] Added the syntax settings for tags PRON and PHONEME (the window "Settings", the tab "Rules").
[+] Small improvements.
[*] Updated the using of Yandex SpeechKit.
[*] Resources for Bulgarian, German and Hungarian languages were updated (thanks to Kostadin Kolev, Regine Müller and Zoltan Magyar).


2020-09-26     v2.15.0.754
[+] Added the option "Save current sentence to text file during reading aloud" (the window "Settings", the tab "Broadcasting"). It allows to display closed captions in streaming/broadcasting software.
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2020-09-17     v2.15.0.753
[-] Fixed the minimized application launching.
[-] Removed the options "Snap to the screen edge" and "Use Aero Snap in Windows 10".
[-] Fixed small bugs.
[*] The Ogg Vorbis and Opus encoders were updated.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2020-09-13     v2.15.0.752
[+] Added the "Insert Phonemes (IPA)" button and support of the PHONEME tag to the "Insert XML Tag" window. (The IVONA voices support the PHONEME tag and do not support the PRON tag.)
[+] Added the support of IPA phonetic transcription for BXD dictionaries.
[-] Fixed the syllable dividing for German language in the Spritz-Reader.
[-] Removed the using of API-key for Yandex.Translate. (Yandex.Translate API was shut down on August 15, 2020.)
[*] The LAME encoder was updated.
[*] Resources for Czech and German languages were updated (thanks to Adaptech s.r.o. and Regine Müller).


2020-08-15     v2.15.0.751
[-] Fixed small bugs.
[*] Resources for Italian and Turkish languages were updated (thanks to Massimo Castiglia and Çağrı Doğan).


2020-08-01     v2.15.0.750
[+] Small improvements.
[-] Fixed the error in the "Find/Replace" dialog window (thanks to the Adaptech team).
[-] Fixed the Clipboard Watch.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2020-07-18     v2.15.0.749
[+] Named bookmarks are copied and pasted together with selected text in Balabolka.
[+] Added the option "Copy selected text before to read clipboard aloud" (for the small floating window).
[+] Added the option "Replace <angle brackets> by quotes" for the text formatting.


2020-07-06     v2.15.0.748
[-] Fixed the using of Yandex SpeechKit.
[*] Resources for Hungarian and Spanish languages were updated (thanks to Zoltan Magyar and Fernando Gregoire).


2020-07-04     v2.15.0.747
[*] Improved the finding of names in text.
[-] Fixed the handling of situations when an audio output device was changed.
[*] Resources for Bulgarian and Chinese (Simplified) languages were updated (thanks to Kostadin Kolev and Anan).


2020-06-30     v2.15.0.746
[+] Added the support of LRC format for subtitle converting.
[+] Added the main menu item "Download Subtitles".
[+] Added the option "Hide words from dictionaries (partial match)" to the window "Find Names in Text".
[*] Resources for German language were updated (thanks to Regine Müller).


2020-05-30     v2.15.0.745
[+] Added the support of WebVTT format for subtitle converting.
[-] Fixed the using of the Baidu Translate service.
[-] Fixed small bugs.
[*] Updated the command-line argument processing.
[*] The summary extraction for FB2/FB3 files is turned off by default.
[*] The main menu item "Reopen" reloads a document which is already opened in the application.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2020-05-23     v2.15.0.744
[*] Updated the text extracting for EPUB files.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2020-05-16     v2.15.0.743
[+] Universal tags can be used for reading of foreign words (the window "Add Tags to Text for Reading of Foreign Words").
[+] Universal tags can be used for reading of direct speech (the window "Add Tags to Text for Reading of Direct Speech").
[-] Fixed the using of SAPI 5.1 on Windows 7.
[*] Resources for Czech, Hungarian and Slovak languages were updated (thanks to Adaptech s.r.o. and Zoltan Magyar).


2020-05-10     v2.15.0.742
[-] Fixed the applying of rules from BXD-dictionaries.
[*] The using of IBM Watson Text-To-Speech was updated.
[*] LibreOffice Writer is used for text extracting from old Microsoft Word 6.0/95 documents (if LibreOffice is installed).
[*] Resources for Bulgarian, Chinese (Simplified), Portuguese and Serbian (Latin) languages were updated (thanks to Kostadin Kolev, Anan, Miguel Simões and Gradimir Kragić).


2020-05-02     v2.15.0.741
[+] Small improvements.
[*] Resources for Serbian (Latin), Slovenian and Spanish languages were updated (thanks to Gradimir Kragić, Jožef Gregorc and Fernando Gregoire).


2020-04-16     v2.15.0.740
[-] Fixed the text extracting for FB2 files.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2020-04-12     v2.15.0.739
[+] Added the using of SpeechPro Text-To-Speech (for testing purposes only).
[*] Resources for Hungarian, Italian and Serbian (Latin) languages were updated (thanks to Zoltan Magyar, Massimo Castiglia and Gradimir Kragić).


2020-04-05     v2.15.0.738
[+] Added OPUS audio format support.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2020-03-29     v2.15.0.737
[+] Added the option "Find Roman numerals" to the window "Replace Numbers with Words".


2020-03-21     v2.15.0.736
[-] Fixed small bugs.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2020-03-12     v2.15.0.735
[-] Fixed small bugs.
[*] Resources for German language were updated (thanks to Regine Müller).


2020-03-09     v2.15.0.734
[+] Added the using of Google Cloud Text-To-Speech (for testing purposes only).
[+] Added the main menu item "Repeat Forever".
[+] Added new languages for the Google Translate service.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2020-03-01     v2.15.0.733
[+] Added the option "Text encoding in ID3v2 tags for MP3 files".
[+] Added new languages for the Microsoft Translator service.
[-] Fixed the using of the Baidu Translate service.
[-] Fixed the text extracting for EPUB files.
[-] Fixed the applying of regular expressions to German documents.
[*] Resources for Hungarian language were updated (thanks to Zoltan Magyar).


2020-02-23     v2.15.0.732
[-] Fixed the using of BXT/BXZ files.
[-] Fixed the text selecting in the editor.
[-] Fixed small bugs.
[*] The LAME encoder was updated.
[*] Resources for Chinese (Simplified) and French languages were updated (thanks to Anan and Michel Such).


2020-02-08     v2.15.0.731
[+] Small improvements.


2020-02-03     v2.15.0.730
[-] Fixed the Clipboard Watch.
[-] Fixed the global hotkey "Import Text from Clipboard".
[-] Fixed the using of Yandex SpeechKit.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2020-01-25     v2.15.0.729
[+] Added the options "Remove text in angle brackets except SAPI tags" and "Skip text in <angle brackets> except SAPI tags" (the window "Settings").
[+] Added the global hotkey "Minimize/Restore Program".
[+] Added the new options for the global hotkey "Import Text from Clipboard".
[-] Fixed small bugs.
[*] Resources for German language were updated (thanks to Regine Müller).


2020-01-08     v2.15.0.728
[+] Added the document type detecting for files with unknown extensions.
[-] Fixed small bugs.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2020-01-03     v2.15.0.727
[+] The reading of text can be started from the beginning of a sentence (the window "Settings", the tab "General").
[*] Updated the loading of text files on the application startup.
[*] Resources for Hungarian language were updated (thanks to Zoltan Magyar).


2019-12-29     v2.15.0.726
[+] Added the universal tag {{Voice}} to change a voice and its properties.
[-] Fixed the text extracting for Markdown files.


2019-12-25     v2.15.0.725
[-] Fixed the using of SAPI 5.1 on Windows XP.
[-] Fixed small bugs.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2019-12-20     v2.15.0.724
[+] Added the text extracting for Markdown files (*.MD).
[-] Fixed the modifying of audio output format settings.
[-] Fixed the viewing of JPEG images from books.
[*] Resources for Bulgarian and Slovenian languages were updated (thanks to Kostadin Kolev and Jožef Gregorc).


2019-12-15     v2.15.0.723
[*] Updated the text extracting for FB2 and FB3 files.
[*] Resources for Chinese (Simplified) and Spanish languages were updated (thanks to Anan and Fernando Gregoire).


2019-12-07     v2.15.0.722
[-] Fixed the ID3v2 tag adding for MP3 files.
[-] Fixed small bugs.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2019-11-21     v2.15.0.721
[+] Small improvements.
[*] Resources for Bulgarian and Hungarian languages were updated (thanks to Kostadin Kolev and Zoltan Magyar).


2019-11-16     v2.15.0.720
[+] Added the options to insert text into notes when the application extracts data from DOCX, FB2, FB3 and ODT files (the window "Text Import", the tab "Text Extracting").
[*] Resources for German language were updated (thanks to Regine Müller).


2019-11-09     v2.15.0.719
[+] Small improvements.
[*] Resources for Korean and Spanish languages were updated (thanks to Park Sung-Wan and Fernando Gregoire).


2019-11-02     v2.15.0.718
[*] The list of available voices was updated for Yandex SpeechKit.
[*] Resources for French language were updated (thanks to Michel Such).


2019-10-29     v2.15.0.717
[+] If text was modified, a marker is added to the file name in the window caption.
[-] Fixed the text formating.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2019-10-27     v2.15.0.716
[+] The named bookmark window allows to select and delete more than one bookmark.
[-] Fixed the updating of a named bookmark position when text is modified.
[-] Fixed the support of high contrast modes in the operating system.


2019-10-10     v2.15.0.715
[-] Fixed small bugs.
[*] Resources for Bulgarian and Chinese (Simplified) languages were updated (thanks to Kostadin Kolev and Anan).


2019-10-05     v2.15.0.714
[-] Fixed the "Undo" operation in the main window.
[*] The LAME encoder was updated.
[*] Resources for Bulgarian, Hungarian, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Zoltan Magyar, Fernando Gregoire and Çağrı Doğan).


2019-09-21     v2.15.0.713
[+] Added the option "Use a custom folder to store temporary audio files".
[+] Added the main menu item "Delete All".
[*] Resources for German language were updated (thanks to Regine Müller).


2019-09-16     v2.15.0.712
[-] Fixed the text extracting for EPUB, HTML and MHT files.


2019-09-07     v2.15.0.711
[*] The using of Yandex SpeechKit was updated.


2019-09-01     v2.15.0.710
[*] The using of IBM Watson Text-To-Speech was updated.
[+] Small improvements.


2019-08-22     v2.15.0.709
[-] Fixed the "Undo" operation in the main window.
[*] The using of Yandex SpeechKit was updated.
[*] Resources for Bulgarian, Chinese (Simplified) and French languages were updated (thanks to Kostadin Kolev, Anan and Michel Such).


2019-08-02     v2.15.0.708
[+] Microsoft Translator is available again (v3 is used now).
[+] Small improvements.
[*] Resources for Bulgarian, Chinese (Simplified), Hungarian, Portuguese and Spanish languages were updated (thanks to Kostadin Kolev, Anan, Zoltan Magyar, Miguel Simões and Fernando Gregoire).


2019-07-27     v2.15.0.707
[+] Added the main menu item "Split and Convert (Not Show Window)".
[*] The LAME encoder was updated.
[+] Small improvements.
[*] Resources for German language were updated (thanks to Regine Müller).


2019-07-20     v2.15.0.706
[+] Baidu Translate is available again (v2 is used now).
[+] Added the support of an API-key for Yandex.Translate.
[-] The using of Microsoft Translator and Bing TTS was disabled (free service was turned off by Microsoft).
[+] Small improvements.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2019-07-06     v2.15.0.705
[*] The LAME encoder was updated.
[-] The using of Baidu Translate service was disabled (v1 was turned off by Baidu).
[*] Resources for Bulgarian, Hungarian and Slovenian languages were updated (thanks to Kostadin Kolev, Zoltan Magyar and Jožef Gregorc).


2019-06-22     v2.15.0.704
[+] Added the option "Hide tab area with filenames" for the full screen mode.
[+] Added the using of IBM Watson Text-To-Speech (for testing purposes only).
[+] Added resources for Slovak language (thanks to Jiří Fenz).
[*] Resources for Czech and German languages were updated (thanks to Jiří Fenz and Regine Müller).


2019-06-08     v2.15.0.703
[-] Reduced the memory usage.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2019-06-01     v2.15.0.702
[+] Added the option "Press once to start reading then once to pause" for the global hotkey "Read Clipboard Aloud".
[+] Added the main menu item "Delete".
[-] Fixed small bugs.
[*] Resources for Bulgarian and Turkish languages were updated (thanks to Kostadin Kolev and Çağrı Doğan).


2019-05-25     v2.15.0.701
[+] Small improvements.
[*] Resources for Chinese (Simplified), Czech, French and Korean languages were updated (thanks to Anan, Jiří Fenz, Michel Such and Park Sung-Wan).


2019-05-15     v2.15.0.700
[+] Added the using of Youdao Text-To-Speech (for testing purposes only).


2019-05-12     v2.15.0.699
[-] Fixed the audio file saving if the audio output device is absent.
[*] Resources for Bulgarian, German, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Regine Müller, Jožef Gregorc and Fernando Gregoire).


2019-04-20     v2.15.0.698
[+] Added the setting for pauses between sentences in the Spritz-Reader.
[-] Removed the setting "Minimal Block Size" from text splitting.
[*] Updated the list of voices for Yandex SpeechKit.


2019-04-15     v2.15.0.697
[+] Small improvements.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2019-04-07     v2.15.0.696
[-] The using of of custom encoders was fixed.
[+] Small improvements.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2019-04-03     v2.15.0.695
[+] Added the subtitle converting for online TTS services.
[-] Fixed the subtitle converting for SMI files.
[*] Resources for Bulgarian, Chinese (Simplified), Czech, Hungarian and Korean languages were updated (thanks to Kostadin Kolev, Anan, Jiří Fenz, Zoltan Magyar and Park Sung-Wan).


2019-03-31     v2.15.0.694
[+] Added the popup menu items "Insert Audio Clip" and "Insert Silence" for online TTS services.
[*] Resources for Czech, German and Portuguese languages were updated (thanks to Jiří Fenz, Regine Müller and Miguel Simões).


2019-03-24     v2.15.0.693
[*] The compability with screen readers was improved.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2019-03-22     v2.15.0.692
[+] Added the button "Change language" for online TTS services.
[*] Updated the text extracting for DOCX, CHM, EPUB, HTML, ODP, ODT and PPTX files.
[-] Fixed the text extracting for CHM files.
[*] Resources for Bulgarian, Chinese (Simplified), French, German, Hungarian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Anan, Michel Such, Regine Müller, Zoltan Magyar, Jožef Gregorc and Fernando Gregoire).


2019-03-10     v2.15.0.691
[+] Added the using of Baidu Translate.
[+] Added the setting "Minimal Block Size" for text splitting. The value must be set as a number of characters (not as a number of kilobytes).
[+] Small improvements.
[*] Resources for Polish and Slovenian languages were updated (thanks to Fresta and Jožef Gregorc).


2019-03-03     v2.15.0.690
[-] Fixed small bugs.
[*] Resources for Bulgarian, Korean and Spanish languages were updated (thanks to Kostadin Kolev, Park Sung-Wan and Fernando Gregoire).


2019-03-02     v2.15.0.689
[+] Added the batch converting of text files to audio files by using of online TTS services.
[*] The LAME encoder was updated.
[-] Fixed small bugs.
[*] Resources for Bulgarian and Chinese (Simplified) languages were updated (thanks to Kostadin Kolev and Anan).


2019-02-23     v2.15.0.688
[+] Added the setting "Launch Balabolka on Windows logon".
[+] Added the settings to ignore text in brackets.
[+] Added the setting to add a period if there is no punctuation at the end of the paragraph.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2019-02-16     v2.15.0.687
[+] Added the using of Baidu Text-To-Speech and Bing Text-To-Speech (for testing purposes only).
[+] Added the using of Microsoft Translator and Yandex.Translate.
[+] Added the settings for alternation of original and translated text.
[*] Resources for Bulgarian, German, Korean and Slovenian languages were updated (thanks to Kostadin Kolev, Regine Müller, Park Sung-Wan and Jožef Gregorc).


2019-02-09     v2.15.0.686
[+] Added support of the native format *.BXZ (ZIP-compressed Balabolka documents).
[+] Added the text extracting for ODP files (OpenDocument Presentations).
[+] Small improvements.
[*] Updated the text extracting for PPT files.
[*] Updated the text import settings: the built-in converter is always used for text extracting.
[*] Resources for Bulgarian, Hungarian and Spanish languages were updated (thanks to Kostadin Kolev, Zoltan Magyar and Fernando Gregoire).


2019-02-02     v2.14.0.685
[+] Added the text extracting for PPT and PPTX files.
[+] Added the LANG tag to change a language for Google TTS. For example: {{lang=en}}Here is an English text.
[*] The encoding detecting for input text files was improved.
[-] Fixed the editing of shortcuts for menu items.
[*] Resources for Bulgarian, French and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such and Fernando Gregoire).


2019-01-26     v2.14.0.684
[*] The "Find/Replace" window was updated.
[*] Resources for German language were updated (thanks to Regine Müller).


2019-01-19     v2.14.0.683
[+] Small improvements.
[*] Resources for Arabic, Bulgarian and Korean languages were updated (thanks to Majid al-Asiri, Kostadin Kolev and Park Sung-Wan).


2018-12-21     v2.14.0.682
[+] Added the option "Remove text in round brackets" for the text formatting.
[*] Fixed the compability with Safe Exam Browser.
[*] Resources for Czech, Hungarian, German, Korean and Turkish languages were updated (thanks to Jiří Fenz, Zoltan Magyar, Regine Müller, Park Sung-Wan and Çağrı Doğan).


2018-12-08     v2.14.0.681
[*] The application saves BXT files with the BOM header.
[-] Fixed small bugs.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2018-12-01     v2.14.0.680
[+] Added the options to ignore comments (single-line and multiline).
[*] Resources for Bulgarian, French, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such, Jožef Gregorc and Fernando Gregoire).


2018-11-17     v2.14.0.679
[+] Added the option "Remove page numbers" for the text formatting.
[-] Fixed the application exit error.
[*] Resources for Bulgarian, Chinese (Simplified) and Hungarian languages were updated (thanks to Kostadin Kolev, Anan and Zoltan Magyar).


2018-11-10     v2.14.0.678
[+] Added the support of Online Text-To-Speech and Yandex SpeechKit (for testing purposes only).
[*] Resources for Czech, German and Italian languages were updated (thanks to Jiří Fenz, Regine Müller and Massimo Castiglia).


2018-11-02     v2.14.0.677
[+] Added the support of FictionBook 3.0 books (*.FB3).
[*] Updated the text extracting for FB2 files.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2018-10-21     v2.14.0.676
[*] Updated the extracting of images from documents.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2018-10-15     v2.14.0.675
[+] The window "Replacement Statistics" was updated.
[-] Fixed the applying of rules.
[-] Fixed small bugs.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2018-10-12     v2.14.0.674
[+] Small improvements.
[-] Fixed the text extracting for EML files.


2018-10-08     v2.14.0.673
[*] Updated the applying of rules.
[-] Fixed small bugs.


2018-10-07     v2.14.0.672
[-] Fixed the application exit error (on computers with the German regional settings of Windows).
[*] Resources for Bulgarian and Hungarian languages were updated (thanks to Kostadin Kolev and Zoltan Magyar).


2018-10-06     v2.14.0.671
[+] Added the option "Apply rules for pronunciation correction" to the window "Extract Text from Files".
[*] Updated the applying of rules for the menu item "View Modified Text".
[*] Resources for Czech and German languages were updated (thanks to Jiří Fenz and Regine Müller).


2018-09-21     v2.14.0.670
[-] Fixed the text extracting for DjVu files.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2018-09-07     v2.14.0.669
[*] Updated the text splitting.
[*] Resources for Bulgarian, Chinese (Simplified), French, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Anan, Michel Such, Fernando Gregoire and Çağrı Doğan).


2018-09-02     v2.14.0.668
[+] Added the options for text extracting (the window "Text Import", the tab "Options").
[*] Updated the text extracting for DOCX, FB2 and ODT files.
[+] Added the Czech help file (thanks to Jiří Fenz).
[*] Resources for Bulgarian, Czech, German and Slovenian languages were updated (thanks to Kostadin Kolev, Jiří Fenz, Regine Müller and Jožef Gregorc).


2018-08-21     v2.14.0.667
[+] Added the option "Ignore numbers" to the window "Add Tags to Text for Reading of Foreign Words" (to read numerical digits always by the default voice).
[*] Updated the installer of Balabolka.
[*] Updated the "Replace All" option in the "Replace" window.
[*] Resources for Arabic, Bulgarian, Chinese (Simplified), Hungarian and Spanish languages were updated (thanks to MFM Dawdeh, Kostadin Kolev, Anan, Zoltan Magyar and Fernando Gregoire).


2018-07-30     v2.13.0.666
[+] Added the option to fix pauses in audio files for subtitle converting. It the current voice does not fully support SAPI tags, another voice can be used to add pauses to audio files.
[+] Small improvements.
[-] Fixed the text extracting for PDF files.
[-] Fixed small bugs.
[*] Updated the saving of audio files.
[*] Resources for Bulgarian and German languages were updated (thanks to Kostadin Kolev and Regine Müller).


2018-07-23     v2.12.0.665
[*] Updated the option "Remove All XML Tags": if text is selected in the main window, the application will remove tags from the selected text only.


2018-07-19     v2.12.0.664
[*] Updated the "Batch File Converter" window.
[*] Resources for Bulgarian, Chinese (Simplified), Hungarian, Italian, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Anan, Zoltan Magyar, Massimo Castiglia, Fernando Gregoire and Çağrı Doğan).


2018-07-09     v2.12.0.663
[+] Added the option "Emulate keystroke CTRL+A before reading" for global hotkeys (the windows "Settings", the tab "Hotkeys").
[+] Added the option "Ignore clipboard updates from applications" for Clipboard Watch (the windows "Settings", the tab "Clipboard").
[+] Added the "Edit Text" window to edit long rules in the BXD dictionary editor.
[*] Resources for German language were updated (thanks to Regine Müller).


2018-06-30     v2.12.0.662
[+] Added the support of the %Header% variable for option "Create an audiobook file with chapters (for MPEG-4 only)" in the window "Split and Convert to Audio Files". The real names of chapters will be used (not "Chapter 1", "Chapter 2" as it was before).
[-] Fixed the statistics gathering for applied rules.
[*] The LAME encoder was updated.


2018-06-20     v2.12.0.661
[*] Improved the code page detecting for plain text files.
[*] Resources for Czech language were updated (thanks to Jiří Fenz).


2018-06-02     v2.12.0.660
[+] Added the support of the %Header% variable in the "Output Filename Pattern" box in the window "Split and Convert to Audio Files". The application will replace this variable by the name of the nearest bookmark (if text is split by named bookmarks).


2018-05-27     v2.12.0.659
[*] Updated the text extracting for AZW and MOBI files.
[*] Text formatting was improved.


2018-05-19     v2.12.0.658
[-] Fixed small bugs.
[*] Updated the text extracting for PDF files.
[*] Resources for Bulgarian, Chinese (Simplified) and Turkish languages were updated (thanks to Kostadin Kolev, Anan and Çağrı Doğan).


2018-05-12     v2.12.0.657
[*] The multi-line modifier is specified by default for regular expressions.
[*] Resources for Bulgarian, French, Hungarian and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such, Zoltan Magyar and Fernando Gregoire).


2018-05-02     v2.12.0.656
[+] Added the main menu items "Go to Previous Bookmark" and "Go to Next Bookmark".
[*] Resources for German language were updated (thanks to Regine Müller).


2018-04-27     v2.12.0.655
[-] Fixed small bugs.
[*] Resources for Bulgarian and Chinese (Simplified) languages were updated (thanks to Kostadin Kolev and Anan).


2018-04-26     v2.12.0.654
[*] Updated the windows "List of Used Rules" and "List of Homographs".
[*] Updated the sequential numbering of blocks (when the application inserts a block number at the beginning/end of audio files).
[*] Updated the text extracting for EPUB files.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2018-04-21     v2.12.0.653
[+] Added the new splitting method in the window "File Splitter": split by table on contents. The application extracts chapters from a document to divide text.
[-] Fixed the handling of situations when all audio output devices are turned off.
[-] Fixed small bugs.
[*] If the named bookmark window is opened, the application selects the nearest bookmark to the text position.
[*] Resources for Bulgarian and German languages were updated (thanks to Kostadin Kolev and Regine Müller).


2018-04-14     v2.12.0.652
[+] Added the new format of dictionaries for pronunciation correction. BXD-files combines the options of REX and DIC formats.
[+] Added the option "Include notes inside text" for DOCX, FB2 and ODT documents (the window "Text Import").
[-] Fixed the selecting of the audio output device in Windows 10 (for situations when the default audio output was changed).
[*] Updated the text extracting for EPUB and FB2 files.
[*] Resources for Bulgarian, German, Hungarian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Regine Müller, Zoltan Magyar, Jožef Gregorc and Fernando Gregoire).


2018-03-31     v2.11.0.651
[+] Added the option "Extract summary from e-book" for FB2 documents (the window "Text Import").
[*] Updated the text extracting for FB2 files.
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified) and German languages were updated (thanks to Anan and Regine Müller).


2018-03-24     v2.11.0.650
[+] Added the text extracting for FB2.ZIP and FBZ files.
[*] Resources for Bulgarian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Jožef Gregorc and Fernando Gregoire).


2018-03-17     v2.11.0.649
[+] Added the option "Fix letter-spacing" for the text formatting (for example: s p a c e, _w_o_r_d).
[*] Resources for French and Slovenian languages were updated (thanks to Michel Such and Jožef Gregorc).


2018-02-24     v2.11.0.648
[+] Added the new feature: use the double-click on the document's tab to scroll to the top of the text. Double-clicking the tab again will bring back to where you were before.
[+] Small improvements.
[-] Fixed the converting subtitles to audio files for IVONA voices (when the speech rate is not equal to 0). Unfortunately I still got no answer about fixing this problem from the IVONA support.
[*] Resources for Bulgarian, Chinese (Simplified) and Spanish languages were updated (thanks to Kostadin Kolev, Anan and Fernando Gregoire).


2018-02-17     v2.11.0.647
[+] Added the option "Create an audiobook file with chapters (for MPEG-4 only)" to the window "Batch File Converter".
[*] Resources for Bulgarian and Hungarian languages were updated (thanks to Kostadin Kolev and Zoltan Magyar).


2018-02-10     v2.11.0.646
[+] Added the "Insert Phonemes" button to the editor window for pronunciation correction. It will allow to define phonemes for the XML PRON tag.
[+] Added the "Insert Phonemes" button and support of the PRON tag to the "Insert XML Tag" window.
[*] Resources for German, Italian and Spanish languages were updated (thanks to Regine Müller, Massimo Castiglia and Fernando Gregoire).


2018-02-01     v2.11.0.645
[+] The web-site of Balabolka is available at http://balabolka.site.
[+] Small improvements.
[*] The help files were updated.
[*] Resources for Czech and Hungarian languages were updated (thanks to Jiří Fenz and Zoltan Magyar).


2018-01-14     v2.11.0.644
[-] Fixed the silent unistallation of Balabolka.
[-] Fixed small bugs.
[*] Resources for Bulgarian, Chinese (Simplified), Italian and Spanish languages were updated (thanks to Kostadin Kolev, Anan, Massimo Castiglia and Fernando Gregoire).


2018-01-04     v2.11.0.643
[+] Added the setting for action after processing of all files in the window "Extract Text from Files".
[+] Small improvements.
[*] Resources for Bulgarian, French and Slovenian languages were updated (thanks to Kostadin Kolev, Michel Such and Jožef Gregorc).


2017-12-09     v2.11.0.642
[+] Added the option "Allow to use Spell Checking API for Windows 8/10". Since Windows 8, the spell checking is built-in to the operating system. But it works slow, and its using will slow down the application start.
[+] Small improvements.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2017-11-25     v2.11.0.641
[*] The converting of subtitles to audio files was improved.
[*] Resources for Bulgarian, Chinese (Simplified), French and Spanish languages were updated (thanks to Kostadin Kolev, Anan, Michel Such and Fernando Gregoire).


2017-11-18     v2.11.0.640
[+] Added the main menu items "Insert XML Tag" and "Remove All XML Tags".
[+] Small improvements.
[*] Resources for Bulgarian, Chinese (Simplified), German, Slovenian, Spanish and Turkish languages were updated (thanks to Kostadin Kolev, Anan, Regine Müller, Jožef Gregorc, Fernando Gregoire and Ferhat Bakıroğlu).


2017-10-28     v2.11.0.639
[+] Added the option "Area of use" for audio file creating actions (the windows "Settings", the tab "Pauses").
[*] Updated the text extracting for EPUB and MHT files.
[-] Fixed the text extracting for DOCX files.
[-] Fixed small bugs.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2017-09-30     v2.11.0.638
[-] Fixed the text extracting for EML files.
[*] Resources for Bulgarian and French languages were updated (thanks to Kostadin Kolev and Michel Such).


2017-09-26     v2.11.0.637
[+] Added the text extracting for XLS, XLSX and ODS files.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2017-09-24     v2.11.0.636
[+] Added the text extracting for EML (E-mail messages) files.
[-] Fixed small bugs.
[*] Resources for Bulgarian, Chinese (Simplified), French and Spanish languages were updated (thanks to Kostadin Kolev, Anan, Michel Such and Fernando Gregoire).


2017-09-17     v2.11.0.635
[+] Added the option "Use Aero Snap in Windows 10" (the window "Settings", the tab "View").
[-] Fixed small bugs.
 

2017-09-15     v2.11.0.634
[-] Fixed the custom text import.
[*] The library UNRAR.DLL was updated.


2017-09-08     v2.11.0.633
[-] Fixed the text extracting for EPUB files (thanks to Adelio Alves).
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2017-07-29     v2.11.0.632
[+] Added the option "Minimize to tray when closing the program" (the window "Settings", the tab "View").
[-] Fixed the support of ClearType.
[*] Resources for German and Turkish languages were updated (thanks to Regine Müller and Çağrı Doğan).


2017-06-25     v2.11.0.631
[+] Small improvements.
[*] Resources for Hungarian and Portuguese languages were updated (thanks to Zoltan Magyar and Angelo Abrantes).


2017-06-17     v2.11.0.630
[*] The panel of dictionaries was updated (for the compability with screen readers).
[-] Fixed small bugs.


2017-06-10     v2.11.0.629
[+] Added resources for Armenian language (thanks to "Arman High Foundation").
[-] Fixed the shell extension library.
[-] Fixed small bugs.
[*] Resources for Bulgarian and Slovenian languages were updated (thanks to Kostadin Kolev and Jožef Gregorc).


2017-05-14     v2.11.0.628
[+] Added the support of the USLT tag for saving of unsynchronized text in MP3 files.
[+] Added the option "Pin to taskbar" to the installer.
[*] Resources for Italian and Spanish languages were updated (thanks to Massimo Castiglia and Fernando Gregoire).


2017-04-29     v2.11.0.627
[+] Added the support of the %FullText% variable in ID3 tags. The variable will be replaced by the content of a text file.
[*] Resources for Filipino language were updated (thanks to William Nabaza).


2017-04-23     v2.11.0.626
[-] Fixed the drag-and-drop support for text files.
[+] Small improvements.
[+] Resources for Catalan language were updated (thanks to Hiro5).


2017-04-18     v2.11.0.625
[+] Added the drag-and-drop support for the text editor.
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2017-03-29     v2.11.0.624
[+] Added the support of Spell Checking API for Windows 8 and above.
[-] Fixed the creating of LRC and SRT files.
[*] Resources for Czech language were updated (thanks to Jiří Fenz).


2017-03-21     v2.11.0.623
[+] Added resources for Filipino language (thanks to William Nabaza).
[+] Small improvements.
[+] Uploaded the Hunspell dictionaries for Filipino, Kazakh, Korean and Turkish languages.
[*] Resources for French and Spanish languages were updated (thanks to Michel Such and Fernando Gregoire).


2017-02-11     v2.11.0.622
[+] Added the support of new operators for regular expresions (\U, \L, \E, \u, \l).


2017-02-05     v2.11.0.621
[-] Fixed the creating of LRC and SRT files.
[*] Updated the extracting of text and images from LIT files.
[+] Added the Italian help file (thanks to Massimo Castiglia).
[*] Resources for Hungarian and Italian languages were updated (thanks to Zoltan Magyar and Massimo Castiglia).


2017-01-28     v2.11.0.620
[-] Fixed the saving of text files with the ANSI encoding.
[*] Updated the text extracting for DjVu files.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2017-01-22     v2.11.0.619

[+] Added the support of the %FileName% variable for the option "Output Filename Pattern" in the window "Split and Convert to Audio Files". The application will replace this variable by the text filename.
[*] The window "Split and Convert to Audio Files" was updated.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2017-01-21     v2.11.0.618
[+] Added the support of the %Number% variable for the option "Base Output Filename" in the window "Split and Convert to Audio Files". Use this variable to change the position of the sequence number inside the output filename.
[+] Added the option "Display close button on all tabs" (the window "Settings", the tab "View").


2017-01-02     v2.11.0.617
[-] Fixed the support of Asian languages for the text editor.
[*] Resources for Bulgarian and Slovenian languages were updated (thanks to Kostadin Kolev and Jožef Gregorc).


2016-11-26     v2.11.0.616
[+] Added the support of the IFilter interface for the custom text import.
[+] Added the main menu item "Check for Update". 
[+] Added the setting "Check for update on Balabolka startup".
[-] Fixed small bugs.
[*] Resources for Bulgarian, Croatian, Slovenian and Spanish languages were updated (thanks to Kostadin Kolev, Gordan Radic, Jožef Gregorc and Fernando Gregoire).


2016-11-19     v2.11.0.615
[+] Added the creating of SRT files for text synchronized audiobooks.
[*] Resources for French language were updated (thanks to Michel Such).


2016-11-12     v2.11.0.614
[+] Added the main menu item "Save All".
[+] Uploaded the Hunspell dictionaries for Bosnian, Hindi, Icelandic and Serbian languages.
[+] Added the spell check support for Hindi language. 
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2016-11-05     v2.11.0.613
[+] Added the text extracting for PDB (Plucker) files.
[+] Added the image extracting for PDB (eReader) books.
[+] Added the support of PNM, SVG and TIFF formats for the image viewer.
[*] The editor window for pronunciation correction can be resized.
[-] Removed the main menu item "Repeat Text".
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2016-10-27     v2.11.0.612
[+] Added the text extracting for PalmDoc books (*.PDB). The supported formats of PDB: PalmDOC, Palm Reader/eReader, zTXT.
[+] Added the support of Psion/EPOC books (*.TCR).
[-] Fixed the text extracting for AZW3 files.
[+] Small improvements.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2016-10-15     v2.11.0.611
[+] Added the support of Corel WordPerfect documents (*.WPD).


2016-10-11     v2.11.0.610
[-] Fixed the text extracting for MHTML files.


2016-10-01     v2.11.0.609
[+] Added support of the Ukrainain language to the Google Text-To-Speech window.
[+] Small improvements.


2016-08-25     v2.11.0.608
[*] Realized the processing of the default audio output defice changing.
[*] Resources for Portuguese (Brazil) language were updated (thanks to Felipe Porciuncula Zanabria).


2016-08-07     v2.11.0.607
[-] Fixed small bugs.
[*] Resources for Bulgarian, French and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such and Fernando Gregoire).


2016-07-30     v2.11.0.606
[+] Added the main menu item "Read All Opened Documents". If the setting is active, the application will read the opened documents one by one.
[+] Small improvements.
[*] The main menu items were rearranged. The new submenu "Voice" was added.
[*] Resources for Hungarian language were updated (thanks to Zoltan Magyar).


2016-07-16     v2.11.0.605
[+] Small improvements.
[-] Fixed the text extracting for DOCX and ODT files.
[*] Resources for Slovenian language were updated (thanks to Jožef Gregorc).


2016-06-02     v2.11.0.604
[+] Added the support of the %FirstLine% variable in the "Base Output Filename" box in the window "Split and Convert to Audio Files". The application will replace this variable by the first line of each text part.
[+] Small improvements.
[*] Resources for Arabic, Bulgarian, Chinese (Simplified), French, Portuguese (Brazil), Slovenian and Spanish languages were updated (thanks to Majid al-Asiri, Kostadin Kolev, Anan, Michel Such, Jožef Gregorc and Felipe Porciuncula Zanabria).


2016-05-28     v2.11.0.603
[+] Added the using of the left mouse button to stop the reading aloud.
[+] Added the main menu items "Skip to Next Sentence" and "Skip to Previous Sentence".
[+] Added the menu items "Skip to Next Sentence" and "Skip to Previous Sentence" to the Spritz-Reader window.
[-] Removed the main menu items "Skip to Next Line" and "Skip to Previous Line".


2016-05-21     v2.11.0.602
[+] Small improvements.
[*] Resources for Spanish and Turkish languages were updated (thanks to Fernando Gregoire and Çağrı Doğan).


2016-04-23     v2.11.0.601
[+] Added the support of regular expressions for the menu items "Find" and "Replace" (for more information, see the chapter "Frequently Asked Questions" in the help file).
[-] Fixed the silent installation of Balabolka.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2016-03-12     v2.11.0.600
[+] Added the support of URLs to the "Open" dialog box.
[+] Small improvements.
[-] Fixed the text extracting for HTML files.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2016-03-02     v2.11.0.599
[+] Added the option "Split and Convert to Audio Files" to the Batch File Converter.
[+] Small improvements.
[*] Resources for German and Spanish languages were updated (thanks to Regine Müller and Fernando Gregoire).


2016-02-25     v2.11.0.598
[*] Google Text-To-Speech is used again.


2016-02-23     v2.11.0.597
[*] Other online TTS services are used instead of Google Text-To-Speech.
[*] Resources for Chinese (Simplified) language were updated (thanks to Anan).


2016-02-14     v2.11.0.596
[*] Improved the character encoding detection for text files.
[*] Google Translate service is used instead of the Microsoft Translator.


2016-01-16     v2.11.0.595
[-] Fixed small bugs.
[*] Improved the text extracting for PDF files.


2016-01-03     v2.11.0.594
[-] Fixed the text extracting for HTML files.
[*] Resources for Arabic and Slovenian languages were updated (thanks to Majid al-Asiri and Jožef Gregorc).


2015-12-05     v2.11.0.593
[+] Added resources for Catalan language (thanks to Hiro5).
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2015-11-28     v2.11.0.592
[+] Added the check box "Create subfolder" to the "Split and Convert to Audio Files" window.
[+] Small improvements.


2015-11-06     v2.11.0.591
[-] Fixed small bugs.


2015-10-31     v2.11.0.590
[-] Fixed small bugs.
[*] Microsoft Translator is used instead of the Google Translate service. Memo for Google: "For the love of money is a root of all kinds of evils."


2015-10-11     v2.11.0.589
[-] Fixed small bugs.
[*] Resources for Hungarian and Turkish languages were updated (thanks to Zoltan Magyar and Çağrı Doğan).


2015-09-20     v2.11.0.588
[-] Fixed the image viewer.
[*] The menu items "Skip to Next Paragraph" and "Skip to Previous Paragraph", "Skip to Next Line" and "Skip to Previous Line" were interchanged.
[*] Resources for Spanish language were updated (thanks to Fernando Gregoire).


2015-08-08     v2.11.0.587
[-] Fixed the access to the Google TTS service.


2015-08-06     v2.11.0.586
[-] Fixed the text extracting for EPUB files.
[*] Resources for French and Slovenian languages were updated (thanks to Michel Such and Jožef Gregorc).


2015-07-28     v2.11.0.585
[-] Fixed the access to the Google Translate service.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2015-07-20     v2.11.0.584
[+] Added the main menu items "Add Current Line as Named Bookmark" and "Create Table of Contents".
[*] Updated the text split method: if text block size is defined, this value will be used as a limit, not as a target. The program will split text into equal parts.
[*] Resources for German and Spanish languages were updated (thanks to Regine Müller and Fernando Gregoire).


2015-07-05     v2.11.0.583
[-] Fixed small bugs.
[*] Resources for German language were updated (thanks to Regine Müller).


2015-06-10     v2.11.0.582
[-] Fixed small bugs.
[*] Resources for French language were updated (thanks to Michel Such).


2015-06-07     v2.11.0.581
[+] Added the main menu item "Find Previous".
[+] Small improvements.
[-] Removed the main menu item "Magnifier".
[*] Updated the applying of rules from REX-dictionaries.
[*] The set of skins was fully updated (old skins will not work correctly on Windows 10).
[*] Resources for Bulgarian, Slovenian and Ukrainian languages were updated (thanks to Kostadin Kolev, Jožef Gregorc and Evgeny Miroshnichenko).


2015-05-11     v2.10.0.580
[-] Fixed small bugs.
[+] Added the option to prevent multiple instances of Balabolka.
[*] Resources for German language were updated (thanks to Regine Müller).


2015-04-12     v2.10.0.579
[+] Added the removing of soft hyphens to the text formatting.


2015-03-30     v2.10.0.578
[-] Fixed small bugs.


2015-01-10     v2.10.0.577
[-] Fixed small bugs.
[+] Added resources for Slovenian language (thanks to Jožef Gregorc).
[*] Resources for Croatian language were updated (thanks to Gordan Radic).


2014-12-14     v2.10.0.576
[-] Fixed small bugs.
[*] Resources for Arabic and Turkish languages were updated (thanks to Majid al-Asiri and Çağrı Doğan).


2014-10-11     v2.10.0.575
[-] Fixed small bugs.
[*] Resources for Bulgarian, French and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such and Fernando Gregoire).


2014-09-27     v2.10.0.574
[-] Fixed the text extracting for CHM files.
[+] Small improvements.
[*] Resources for Romanian language were updated (thanks to Alexandru Bogdan Munteanu).


2014-08-30     v2.10.0.573
[+] Small improvements.
[*] Resources for Hungarian language were updated (thanks to Zoltan Magyar).


2014-07-20     v2.10.0.572
[+] Added the support of new languages to Spritz-Reader.
[*] Resources for French and Ukrainian languages were updated (thanks to Michel Such and Evgeny Miroshnichenko).


2014-07-13     v2.10.0.571
[*] The maximal speed for Spritz-Reader was increased up to 1000 wpm.
[*] Resources for Turkish language were updated (thanks to Çağrı Doğan).


2014-06-04     v2.10.0.570
[-] Fixed the error in the using of global hotkeys.
[*] Resources for Bulgarian and Spanish languages were updated (thanks to Kostadin Kolev and Fernando Gregoire).


2014-05-24     v2.10.0.569
[+] Added the button "Delete with Text" to the window "Go to Named Bookmark".
[*] Spritz-Reader was improved.
[*] Resources for Bulgarian, French and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such and Fernando Gregoire).


2014-05-18     v2.10.0.568
[+] Added the support of Spritz technology for high-speed reading.
[*] Resources for German, Romanian and Spanish languages were updated (thanks to Regine Müller, Alexandru Bogdan Munteanu and Fernando Gregoire).


2014-04-08     v2.9.0.567
[-] Fixed small bugs.
[+] Added the Spanish help file (thanks to Fernando Gregoire).


2014-03-29     v2.9.0.566
[+] Small improvements.
[*] Resources for Bulgarian, French and Spanish languages were updated (thanks to Kostadin Kolev, Michel Such and Fernando Gregoire).


2014-02-22     v2.9.0.565
[+] Added the item "Edit with Notepad" to the context menu of the dictionaries' panel.
[+] Added resources for Croatian language (thanks to Gordan Radic).
[*] Resources for Serbian (Latin) language were updated (thanks to Aleksandar Duric).


2014-01-26     v2.9.0.564
[+] A table of contents will be imported as named bookmarks (for FB2 files).
[-] Fixed the text extracting for EPUB files.
[*] Resources for German language were updated (thanks to Regine Müller).


2014-01-19     v2.9.0.563
[+] Small improvements.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2014-01-03     v2.9.0.562
[+] Small improvements.
[*] Resources for French and Ukrainian languages were updated (thanks to Michel Such and Evgeny Miroshnichenko).


2013-12-01     v2.9.0.561
[+] Improved the text extracting for DOCX and ODT files: the extracting of footnotes and endnotes was added.
[-] Fixed small bugs.
[*] Resources for Italian and Romanian languages were updated (thanks to Fabio Boccaletti and Alexandru Bogdan Munteanu).


2013-11-02     v2.9.0.560
[*] The panel of voice settings was updated.
[-] Fixed small bugs.
[*] Resources for French, German, Turkish and Ukrainian languages were updated (thanks to Lyubov Tyurina, Regine Müller, Çağrı Doğan and Evgeny Miroshnichenko).


2013-10-20     v2.8.0.559
[+] Added the proxy server settings for Google Translate and Google TTS.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2013-10-06     v2.8.0.558
[+] Added the main menu item "Balabolka Home Page".
[-] Fixed small bugs.


2013-08-25     v2.8.0.557
[+] Small improvements.
[*] Resources for Italian and Romanian languages were updated (thanks to Fabio Boccaletti and Alexandru Bogdan Munteanu).


2013-08-18     v2.8.0.556
[+] Added the ability to receive data from STDIN for custom text import.
[-] The library DELZIP190.DLL is not used.


2013-08-14     v2.8.0.555
[*] Updated the window "List of Spelling Errors".
[*] Updated the text extracting for PDF files.


2013-08-03     v2.8.0.554
[-] Fixed the text extracting for EPUB and PDF files.


2013-07-30     v2.8.0.553
[*] Updated the subtitle converter.
[*] Resources for Ukrainian language were updated (thanks to Evgeny Miroshnichenko).


2013-07-28     v2.8.0.552
[*] Updated the text extracting for PDF files.
[*] Resources for Bulgarian and French languages were updated (thanks to Kostadin Kolev and Michel Such).


2013-07-21     v2.8.0.551
[+] Added the main menu item "Subtitle Converter". The program will convert text files with subtitles to audio files. SRT, SSA/ASS and SMI formats are supported.
[*] Resources for Bulgarian, French, German and Turkish languages were updated (thanks to Kostadin Kolev, Michel Such, Regine Müller and Çağrı Doğan).


2013-07-07     v2.7.0.550
[+] Added the main menu item "Text Import". The new window contains settings for custom text import, by using of external programs.
[*] Resources for Bulgarian and German languages were updated (thanks to Kostadin Kolev and Regine Müller).


2013-06-21     v2.7.0.549
[+] Small improvements.
[*] Resources for Italian and Romanian languages were updated (thanks to Fabio Boccaletti and Alexandru Bogdan Munteanu).


2013-06-02     v2.7.0.548
[+] Creating of new document tab by double clicking on empty tab area.
[+] Closing of tab by middle button clicking.
[-] Fixed small bugs.
[*] Resources for Bulgarian, French and Ukrainian languages were updated (thanks to Kostadin Kolev, Michel Such and Evgeny Miroshnichenko).


2013-05-25     v2.7.0.547
[+] Added the option "Never prompt to save modified text" (the window "Settings", the tab "Text").
[*] Resources for Bulgarian, Polish, Portuguese (Brazil), Turkish and Ukrainian languages were updated (thanks to Kostadin Kolev, Zbigniew Strzelczyk, Tiago Nonato, Çağrı Doğan and Evgeny Miroshnichenko).


2013-05-01     v2.7.0.546
[+] Added the option "Open folder in Windows Explorer when saving of audio file is finished" to the window "Audio Files".
[+] Small improvements.
[*] Resources for Bulgarian, French, German and Turkish languages were updated (thanks to Kostadin Kolev, Michel Such, Regine Müller and Çağrı Doğan).


2013-04-14     v2.7.0.545
[+] Added the main menu items "Increase Font Size" and "Decrease Font Size".
[+] Small improvements.
[*] Resources for Korean language were updated (thanks to Choi Youn-Soo).


2013-04-06     v2.7.0.544
[+] Small improvements.
[*] Resources for Bulgarian, French, Italian, Romanian and Ukrainian languages were updated (thanks to Kostadin Kolev, Michel Such, Fabio Boccaletti, Alexandru Bogdan Munteanu and Evgeny Miroshnichenko).


2013-03-24     v2.7.0.543
[+] Added the options "Insert silence" and "Insert audio clip" (the window "Settings", the tab "Pauses").
[*] The button "Audio Output" was replaced by the main menu item "Options | Audio Output".
[*] The tab "Buttons" at the window "Settings" was transformed to the window "Buttons".
[*] Resources for Arabic, Bulgarian, French and German languages were updated (thanks to Majid al-Asiri, Kostadin Kolev, Michel Such and Regine Müller).


2013-03-17     v2.6.0.542
[+] Added the main menu items "Skip to Next Line" and "Skip to Previous Line".
[+] Added the list of French homographs (thanks to Michel Such).
[*] Resources for French and Turkish languages were updated (thanks to Michel Such and Çağrı Doğan).


2013-03-12     v2.6.0.541
[+] Small improvements.
[*] Resources for Bulgarian, German and Italian languages were updated (thanks to Kostadin Kolev, Regine Müller and Fabio Boccaletti).


2013-03-03     v2.6.0.540
[+] The text extract utility is available for downloading of the web-site.
[+] Added the support of Kindle Format 8 (*.AZW3).
[+] Added resources for Greek language (thanks to Wasilis Mandratzis).
[*] Resources for Bulgarian and German languages were updated (thanks to Kostadin Kolev and Regine Müller).


2013-02-26     v2.6.0.539
[+] The console application is available for downloading of the web-site.
[+] Small improvements.
[*] Resources for German language were updated (thanks to Regine Müller).


2013-02-10     v2.6.0.538
[-] Fixed small bugs.
[*] Resources for Polish, Romanian, Turkish and Ukrainian languages were updated (thanks to Zbigniew Strzelczyk, Alexandru Bogdan Munteanu, Çağrı Doğan and Evgeny Miroshnichenko).


2013-01-20     v2.6.0.537
[-] Fixed small bugs.
[*] Resources for Bulgarian, French and Italian languages were updated (thanks to Kostadin Kolev, Michel Such and Fabio Boccaletti).


2013-01-08     v2.6.0.536
[+] Added the global hotkeys "Import Text from Clipboard" and "Change Voice".
[+] Added resources for Serbian (Cyrillic) language (thanks to Ozzii).
[*] Resources for German and Ukrainian languages were updated (thanks to Regine Müller and Evgeny Miroshnichenko).


2012-12-13     v2.6.0.535
[-] Fixed the problem with skins (thanks to Gary Jennings).
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2012-12-12     v2.6.0.534
[+] Added the using of custom encoders (the window "Audio Files", the tab "Options/Custom Encoders").
[+] A silent installation is available by using "-silent" command-line switch.
[+] New settings for Clipboard Watch were added.
[-] Fixed small bugs.
[*] Support of Windows 7/8 was improved.
[*] Resources for German language were updated (thanks to Regine Müller).


2012-11-11     v2.5.0.533
[-] Fixed the extracting of text from EPUB files (thanks to Giuliano Artico).
[-] Fixed small bugs.


2012-10-22     v2.5.0.532
[-] Fixed small bugs.
[*] Resources for Japanese language were updated (thanks to Olga Chebysheva).


2012-09-22     v2.5.0.531
[-] Fixed the problem with Windows Media Audio (thanks to Nickolay Ponomaryov).
[-] Fixed the problem with spell-checkers (thanks to German Garcia).


2012-09-08     v2.5.0.530
[-] Fixed small bugs.
[*] Resources for Polish and Portuguese (Brazil) languages were updated (thanks to Zbigniew Strzelczyk and Tiago Nonato).


2012-08-26     v2.5.0.529
[-] Fixed small bugs.
[*] Resources for Serbian language were updated (thanks to Rajko Tomic).


2012-08-20     v2.5.0.528
[+] Added resources for Serbian (Latin) language (thanks to Rajko Tomic).
[*] Resources for Arabic, Bulgarian, French, Italian, Romanian and Ukrainian languages were updated (thanks to Majid al-Asiri, Kostadin Kolev, Michel Such, Fabio Boccaletti, Alexandru Bogdan Munteanu and Evgeny Miroshnichenko).


2012-08-12     v2.5.0.527
[-] Fixed small bugs.
[*] Resources for Arabic, Bulgarian, Japanese, Turkish and Ukrainian languages were updated (thanks to Majid al-Asiri, Kostadin Kolev, Olga Chebysheva, Çağrı Doğan and Evgeny Miroshnichenko).


2012-06-24     v2.5.0.526
[+] Added the option "Clipboard Watch" to the window "Settings", the tab "Clipboard".
[+] Small improvements.
[*] Resources for German, Italian and Romanian languages were updated (thanks to Regine Müller, Fabio Boccaletti and Alexandru Bogdan Munteanu).


2012-05-06     v2.5.0.525
[+] Small improvements.
[*] The French help file was updated (thanks to Lyubov Tyurina).
[*] Resources for Japanese language were updated (thanks to Olga Chebysheva).


2012-04-29     v2.5.0.524
[+] The main window and the small floating window snap to the screen borders or the borders of other windows.
[*] Resources for Ukrainian language were updated (thanks to Evgeny Miroshnichenko).


2012-04-24     v2.5.0.523
[-] The "fast" method of rules' applying is not used anymore.
[-] Fixed small bugs.
[*] Resources for Bulgarian, French, German and Korean languages were updated (thanks to Kostadin Kolev, Michel Such, Regine Müller and Choi Youn-Soo).


2012-04-21     v2.5.0.522
[+] Added the main menu item "Save Audio File (Google TTS)". The program saves text as audio file by using Google Text-To-Speech service. The voices for more than 30 languages are available.
[+] Small improvements.
[+] Added resources for Finnish language (thanks to Veikko Muurikainen).
[*] Resources for Italian language were updated (thanks to Fabio Boccaletti).


2012-04-08     v2.4.0.521
[+] Added the reading of Microsoft Reader files (*.LIT).
[*] Resources for Bulgarian and French languages were updated (thanks to Kostadin Kolev and Michel Such).


2012-03-31     v2.4.0.520
[+] Small improvements.
[*] Resources for Arabic, German, Portuguese (Brazil) and Romanian languages were updated (thanks to Majid al-Asiri, Regine Müller, Tiago Nonato and Alexandru Bogdan Munteanu).


2012-03-25     v2.4.0.519
[+] Small improvements.
[*] Resources for Ukrainian language were updated (thanks to Evgeny Miroshnichenko).


2012-03-20     v2.4.0.518
[+] Added the reading of Mobipocket/Kindle files (*.AZW, *.MOBI, *.PRC).
[*] The "fast" method of rules' applying was updated.
[*] The help files are stored in the "Help" subfolder.
[*] Resources for French and German languages were updated (thanks to Michel Such and Regine Müller).


2012-03-04     v2.3.0.517
[+] Small improvements.
[-] Fixed small bugs.


2012-01-08     v2.3.0.516
[-] Fixed small bugs.
[*] Resources for Arabic and German languages were updated (thanks to Majid al-Asiri and Regine Müller).


2011-12-25     v2.3.0.515
[+] The special codes can be used in the windows "Find" and "Replace" (the same codes as in Microsoft Word).
[*] Resources for Italian language were updated (thanks to Fabio Boccaletti).


2011-12-11     v2.3.0.514
[+] Added resources for Turkish language (thanks to Çağrı Doğan).


2011-11-26     v2.3.0.513
[+] Added the button "Split" to the window "Split and Convert to Audio Files".
[+] Small improvements.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2011-11-06     v2.3.0.512
[+] Added the creating of playlists for audio files (the window "Audio Files", the tab "Playlist"). M3U, PLS, WPL and XSPF formats are supported.
[*] Resources for German and Ukrainian languages were updated (thanks to Regine Müller and Evgeny Miroshnichenko).


2011-10-30     v2.3.0.511
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified) language were updated (thanks to Yupeng).


2011-10-22     v2.3.0.510
[+] Added the support of Microsoft Speech Platform. The installed voices will be available on the tab "Microsoft Speech Platform" in the program.
[-] The version 1.xx of Balabolka is not supported anymore.
[*] Resources for Bulgarian, German, Italian, Korean and Ukrainian languages were updated (thanks to Kostadin Kolev, Regine Müller, Fabio Boccaletti, Choi Youn-Soo and Evgeny Miroshnichenko).


2011-10-16     v2.2.0.509
[+] Added the option "Use system default voice" (the window "Settings", the tab "Voice").
[-] Fixed small bugs.
[*] Resources for French and German languages were updated (thanks to Michel Such and Regine Müller).


2011-10-02     v2.2.0.508
[*] The window "Translate" was updated. Google Translate API is not used anymore (because it will be available as a paid service on December 1, 2011). Now the program uses the Google Translate service directly.
[-] Fixed small bugs.
[*] Resources for Bulgarian, Romanian and Ukrainian languages were updated (thanks to Kostadin Kolev, Alexandru Bogdan Munteanu and Evgeny Miroshnichenko).


2011-09-11     v2.2.0.507
[+] New options were added to the windows "Timer" and "Extract Text from Files".
[+] Small improvements.
[*] The license agreement was updated.
[*] Resources for German language were updated (thanks to Regine Müller).


2011-08-28     v2.2.0.506
[+] Small improvements.
[*] Resources for Portuguese (Brazil) language were updated (thanks to Tiago Nonato).


2011-08-08     v2.2.0.505
[+] Small improvements.
[+] Added resources for Japanese language (thanks to Igor Sergeev and Misa Tsurumi).
[*] The "fast" method of rules' applying was updated.


2011-07-03     v2.2.0.504
[-] Fixed small bugs.


2011-05-24     v2.2.0.503
[-] Fixed the extracting of text from EPUB files.
[-] Fixed small bugs.
[*] Resources for Chinese (Simplified) and Polish languages were updated (thanks to Yupeng and Zbigniew Strzelczyk).


2011-05-02     v2.2.0.502
[+] The extracting of text from HTML and MHT files was improved.
[+] The support of Hunspell spell checker was improved.
[+] Added resources for Arabic language (thanks to Majid Al-Asiri).
[*] Resources for Korean language were updated (thanks to Choi Youn-Soo).


2011-04-26     v2.2.0.501
[-] Fixed small bugs.
[*] Resources for Bulgarian, Italian and Ukrainian languages were updated (thanks to Kostadin Kolev, Fabio Boccaletti and Evgeny Miroshnichenko).


2011-04-10     v2.2.0.500
[+] Added the main menu item "Direct Speech". It allows to add tags for changing of voice during reading of dialogs. For SAPI 5 only.
[*] Resources for Chinese (Traditional), Czech and German languages were updated (thanks to CMHDREAM, Stanislav Tomecka and Regine Müller).


2011-03-27     v2.2.0.499
[-] Fixed the "fast" method of rules' applying.
[-] Fixed small bugs.
[*] Resources for Ukrainian language were updated (thanks to Evgeny Miroshnichenko).


2011-03-20     v2.2.0.498
[+] Added the track bar "Pitch" to the tab "SAPI 5" in the main window.
[+] Added resources for Vietnamese language (thanks to Missfly82-AIO).
[-] Fixed small bugs.


2011-03-12     v2.2.0.497
[+] Added the global hotkeys "Skip to Next Paragraph" and "Skip to Previous Paragraph".
[-] Fixed small bugs.
[*] Resources for Bulgarian language were updated (thanks to Kostadin Kolev).


2011-02-26     v2.2.0.496
[+] Added the chapter "Phonetic Alphabets" to the help file.
[+] Small improvements.
[*] Resources for German, Italian, Portuguese (Brazil) and Ukrainian languages were updated (thanks to Regine Müller, Fabio Boccaletti, Tiago Nonato and Evgeny Miroshnichenko).


2011-02-20     v2.2.0.495
[+] Added the reading of DjVu-files (the program extracts data from an OCR text layer).
[-] Removed the setting "Write to file speed" (SAPI 4) from the window "Audio Files".
[-] Fixed small bugs.
[*] Resources for Bulgarian, French, Italian, Korean and Romanian languages were updated (thanks to Kostadin Kolev, Michel Such, Fabio Boccaletti, Choi Youn-Soo and Alexandru Bogdan Munteanu).


2011-02-12     v2.2.0.494
[+] Added the reading of CHM-files (Compiled HTML Help).
[+] A table of contents will be imported as named bookmarks to the program (for CHM and EPUB).
[*] Updated the extracting of text from EPUB and HTML.
[-] Fixed the reading of FB2-files.
[+] Added the button "Text color" to the window "Font and Colors".
[+] Added the setting "Encoding of output files" to the window "File Splitter".
[+] Small improvements.
[*] Libraries and "viewer.exe" are stored in the subfolder "utils".
[*] Resources for Bulgarian, German, Korean and Ukrainian languages were updated (thanks to Kostadin Kolev, Regine Müller, Choi Youn-Soo and Evgeny Miroshnichenko).


2011-02-06     v2.1.0.493
[*] Updated the extracting of text from DOC, DOCX, EPUB, ODT.
[+] Added the main menu item "Edit | Convert Selected | Line Case" (to capitalize all lines of selected text [-] for poems).
[*] Resources for German language were updated (thanks to Regine Müller).


2011-01-30     v2.1.0.492
[+] The dictionary of homographs can be converted to DIC file (the button "Save as" in the editor of homographs).
[*] During the reading of selected text the selection does not disappear.
[+] Added the tab "Search" to the help files (for compatibility with screen readers).
[+] Small improvements.
[*] Resources for Bulgarian, Italian, Polish and Ukrainian languages were updated (thanks to Kostadin Kolev, Fabio Boccaletti, Zbigniew Strzelczyk and Evgeny Miroshnichenko).


2011-01-23     v2.1.0.491
[+] Added the Korean help file (thanks to Choi Youn-Soo).
[-] Fixed bugs in the pronunciation correction.
[*] Resources for Bulgarian, Korean and Ukrainian languages were updated (thanks to Kostadin Kolev, Choi Youn-Soo and Evgeny Miroshnichenko).


2011-01-16     v2.1.0.490
[+] Added the French help file (thanks to Lyubov Tyurina).
[+] Added the options "Show all words" and "Do not show words from text file" to the window "Find Names in Text".
[*] Resources for Bulgarian, Czech, German, Korean, Portuguese (Brazil), Romanian and Ukrainian languages were updated (thanks to Kostadin Kolev, Stanislav Tomecka, Regine Müller, Choi Youn-Soo, Tiago Nonato, Alexandru Bogdan Munteanu and Evgeny Miroshnichenko).


2011-01-06     v2.1.0.489
[+] Added the main menu item "Audio Clip". It allows to insert a link to external audio clip into text: {{Audio=C:\Sounds\ring.mp3}} Supported formats: WAV, MP3, OGG.
[*] The file extension 'INI' will be automatically changed to 'REX' for pronunciation correction dictionaries.
[+] Small improvements.
[*] Resources for German, Italian and Ukrainian languages were updated (thanks to Regine Müller, Fabio Boccaletti and Evgeny Miroshnichenko).


2010-12-20     v2.0.0.488
[-] Fixed small bugs.
[*] Resources for Bulgarian, Korean and Ukrainian languages were updated (thanks to Kostadin Kolev, Choi Youn-Soo and Evgeny Miroshnichenko).


2010-12-19     v2.0.0.487
[+] The window "Translate" was improved.
[+] The reading of text can be started from the beginning of a paragraph (the window "Settings", the tab "General"). In previous versions the reading can be started from the position of cursor or from the begining of a document.
[+] Small improvements.
[*] Resources for Chinese (Simplified) language were updated (thanks to Yupeng).


2010-12-12     v2.0.0.486
[+] The version 2.0 was released.
[+] The support of Hunspell was improved.
[*] Resources for Bulgarian, Italian, Korean, Polish and Ukrainian languages were updated (thanks to Kostadin Kolev, Fabio Boccaletti, Choi Youn-Soo, Zbigniew Strzelczyk and Evgeny Miroshnichenko).

###